package org.objectweb.orchestra.demo.telecomProvider;

import javax.jms.ConnectionFactory;
import javax.jms.MapMessage;
import javax.jms.Queue;
import javax.jms.QueueConnection;
import javax.jms.QueueConnectionFactory;
import javax.jms.QueueReceiver;
import javax.jms.QueueSession;
import javax.jms.Session;
import javax.naming.Context;
import javax.naming.InitialContext;

import telecomProvider.Service;
import telecomProvider.ServiceList;

public class PhoneNumberRequestBindingImpl implements org.objectweb.orchestra.demo.telecomProvider.PhoneNumberRequest{

    public void servicePhoneNumberRequest(String TelecomRecordNb, String Name, String FirstName, String Address) throws java.rmi.RemoteException {
        Service cust = new Service(TelecomRecordNb,Name,FirstName,Address);
        ServiceList.addService(cust);

        String PhoneNumber = null;
        String ServiceNumber = null;

        try {
            Context jndi=new InitialContext();
            Queue queue=(Queue) jndi.lookup("TelecomProviderQueue");
            javax.jms.ConnectionFactory  conFactory = (ConnectionFactory)jndi.lookup("QCF");
            javax.jms.Connection connection = ((QueueConnectionFactory)conFactory).createQueueConnection();
            javax.jms.Session session = ((QueueConnection)connection).createQueueSession(false, Session.AUTO_ACKNOWLEDGE);
            QueueReceiver prod = ((QueueSession) session).createReceiver(queue,"TelecomRecordNb = '"+ TelecomRecordNb +"'");
            connection.start();
            MapMessage message =(MapMessage) prod.receive();
            prod.close();
            session.close();
            connection.close();
            PhoneNumber = message.getString("PhoneNumber");
            ServiceNumber = message.getString("ServiceNumber");
            prod = null;
            session = null;
            connection = null;
            message = null;
        } catch (Exception e) {
            e.printStackTrace(System.err);
        }

        try {
            Class cl = Class.forName("org.objectweb.orchestra.demo.serviceProvider.SubscribeServiceLocator");
            Object as = cl.newInstance();
            java.lang.reflect.Method m = cl.getDeclaredMethod("getSubscribePort",null);
            Object ast = m.invoke(as,null);
            cl = ast.getClass();
            Class[] tabCl = new Class[]{String.class,String.class,String.class,String.class,String.class,String.class};
            m = cl.getDeclaredMethod("getPhoneNumberCallback",tabCl);
            m.invoke(ast,new Object[] {TelecomRecordNb,Name,FirstName,Address,PhoneNumber,ServiceNumber});
        } catch (Exception e) {
            e.printStackTrace(System.err);
        }
    }

}
