package fr.demo;


import javax.ejb.FinderException;
import javax.naming.NamingException;
import javax.naming.InitialContext;
import java.rmi.RemoteException;
import javax.servlet.http.HttpServletRequest;
import org.objectweb.orchestra.demo.telecom.TelecomSessionBeanUtil;
import org.objectweb.orchestra.demo.telecom.TelecomSession;
import org.objectweb.orchestra.demo.telecom.TelecomSessionHome;
import javax.rmi.PortableRemoteObject;
import java.util.Vector;

public class Bd {

    private TelecomSessionHome tsh = null;
    private TelecomSession ts = null;

	public Bd() throws Exception {
        try {
            InitialContext initialContext = new InitialContext();
            try {
               Object objRef = initialContext.lookup(TelecomSessionHome.JNDI_NAME);
               tsh = (TelecomSessionHome) PortableRemoteObject.narrow(objRef, TelecomSessionHome.class);
            } finally {
               initialContext.close();
            }
            ts = tsh.create();
        } catch (NamingException e) {
            throw new Exception("NamingException TelecomDemo Bd constructor :\n", e);
        } catch (RemoteException e) {
            throw new Exception("RemoteException TelecomDemo Bd constructor :\n", e);
        }
	}

	public void addUser(String name, String firstName, String number, String street, String cp, String city) throws Exception {
	    ts.addUser(name, firstName, number, street, cp, city);
    }

	public boolean archiveExist(String telecomRecordNb, String name)throws Exception {
	    boolean result = ts.archiveExist(telecomRecordNb,name);
	    return result;
	}

    public boolean archiveFinish(String telecomRecordNb, HttpServletRequest request)throws Exception{
        Vector res = ts.archiveFinish(telecomRecordNb);
	    boolean finished = ((Boolean)res.get(0)).booleanValue();
	    if (finished) {
	        request.setAttribute("phoneNb",(String)res.get(1));
	        request.setAttribute("serviceNb",(String)res.get(2));
	    }
	    return finished;
	}

	public long getTelecomRecordNb(String name, String firstName, String street) throws Exception{
	    long resultat = ts.getTelecomRecordNb(name, firstName, street);
		return resultat;
	}

	public void modifyArchive(String telecomRecordNb,String name,String firstName,String phoneNb, String serviceNb)throws Exception{
	    ts.modifyArchive(telecomRecordNb,name,firstName,phoneNb,serviceNb);
	}

	public boolean userExist(String name, String firstName, String street)throws Exception{
		return getTelecomRecordNb(name, firstName,street) != 0;
	}
}
