@Echo off
setlocal

call %BPEL_HOME%\bin\nt\config_env.bat

set MODE=
set PROCESSNAME=
set TESTNAME=
set HELPARG=false
set LAUNCHARG=false
set MODEHELP=

if [%1]==[]      goto usage

:loop_on_args
Set ARG=%~1
if [%1]==[cleanAll]     goto cleanAll
if [%1]==[cleanOne]     goto cleanOne
if [%1]==[runAll]       goto runAll
if [%1]==[runOne]       goto runOne
if [%1]==[-p]           goto p_arg
if [%1]==[-tn]          goto tn_arg
if [%1]==[help]         goto usage
if [%1]==[-help]        goto help_arg
if [%1]==[-launchonly]  goto launch_arg
goto next_arg

:cleanAll
set MODE=cleanAll
goto next_arg

:cleanOne
set MODE=cleanOne
goto next_arg

:runAll
set MODE=runAll
goto next_arg

:runOne
set MODE=runOne
goto next_arg

:p_arg
shift
set PROCESSNAME="%~1%"
goto next_arg

:tn_arg
shift
set TESTNAME="%~1%"
goto next_arg

:help_arg
set HELPARG=true
goto next_arg

:launch_arg
set LAUNCHARG=true
goto next_arg

:next_arg
shift
if not [%1]==[] goto loop_on_args

if not [%MODE%]==[] goto chkHelpMode
set HELPARG=false
goto usage

:chkHelpMode
set MODEHELP=%MODE%ActionHelp
if [%HELPARG%]==[false] goto procMode
goto %MODEHELP%

:procMode
if [%MODE%]==[cleanAll]  goto cleanAllAction
if [%MODE%]==[cleanOne]  goto cleanOneAction
if [%MODE%]==[runAll]    goto runAllAction
if [%MODE%]==[runOne]    goto runOneAction

rem ----------------------------------------------------
rem                    CLEAN ALL
rem ----------------------------------------------------

:cleanAllAction
%CLIENT% %CLIENT_PROPS% -cp "%CLIENT_CP%" %APC% cleanAllTests
goto :EOF

rem ----------------------------------------------------
rem                    CLEAN ONE
rem ----------------------------------------------------

:cleanOneAction
if [%PROCESSNAME%]==[] goto %MODEHELP%

%CLIENT% %CLIENT_PROPS% -cp "%CLIENT_CP%" %APC% undeploy %PROCESSNAME%
%CLIENT% %CLIENT_PROPS% -cp "%CLIENT_CP%" %APC% clean %PROCESSNAME%
%CLIENT% %CLIENT_PROPS% -cp "%CLIENT_CP%" %APC% delete %PROCESSNAME%
goto :EOF

rem ----------------------------------------------------
rem                    RUN ALL
rem ----------------------------------------------------

:runAllAction
%CLIENT% %CLIENT_PROPS% -cp "%CLIENT_CP%" %APC% launchAllTests %LAUNCHARG%
goto :EOF

rem ----------------------------------------------------
rem                    RUN ONE
rem ----------------------------------------------------

:runOneAction
if [%PROCESSNAME%]==[] goto %MODEHELP%
Set PN=%PROCESSNAME:"=%
call SET SUB=%%PN:%TEST_NAME_BASE%=%%
Set CLASSNAME=%TEST_PACK%%PROCESSNAME%.Test%SUB%

if [%LAUNCHARG%]==[true] goto testLaunch
if [%PROCESSNAME%]==[unitSamples] goto deploySamples
%CLIENT% -cp "%CLIENT_CP%" %APC% clean %PROCESSNAME%
%CLIENT% -cp "%CLIENT_CP%" %APC% delete %PROCESSNAME%
%CLIENT% -cp "%CLIENT_CP%" %APC% create %PROCESSNAME%
%CLIENT% %CLIENT_PROPS% -cp "%CLIENT_CP%" %APC% deployTest %PROCESSNAME%
if [%PROCESSNAME%] NEQ [unitSamples] goto testLaunch
:deploySamples
%CLIENT% %CLIENT_PROPS% -cp "%CLIENT_CP%" %APC% deploySamples
:testLaunch
%CLIENT% %CLIENT_PROPS% -cp "%CLIENT_CP%" %APC% launch %PROCESSNAME% %CLASSNAME% %TESTNAME%
goto :EOF

rem ----------------------------------------------------
rem                     USAGE
rem ----------------------------------------------------

:usage
echo Usage : tests [mode] [options]
echo  Valid modes: cleanAll        - clean all tests
echo               cleanOne        - clean one test
echo               runAll          - launch all tests
echo               runOne          - launch one test
echo For additional information on a mode enter tests [mode] -help
goto :EOF

:cleanAllActionHelp
echo This mode allows you to clean all tests
echo Usage : tests cleanAll
goto :EOF

:cleanOneActionHelp
echo This mode allows you to clean only one test
echo Usage : tests cleanOne -p {processName}
goto :EOF

:runAllActionHelp
echo This mode allows you to launch all tests
echo Usage : tests runAll [-launchonly]
echo The -launchonly will only launch the tests, which must already be deployed
goto :EOF

:runOneActionHelp
echo This mode allows you to run only one test
echo Usage : tests runOne -p {processName}
echo                      [-launchonly]
echo                      [-tn {name of the test to run}]
echo The -launchonly will only launch the test, which must already be deployed
echo Note : if no test name is pecified, the entire suite for this process will be
echo        launched
goto :EOF
