#!/bin/bash
VERSION=$1

BPEL_PACK_DEST=$BPEL_PACK_HOME

cd $BPEL_HOME
chmod +x $BPEL_HOME/bin/unix/*
$BPEL_HOME/bin/unix/orchestra rmWSDL

BPELSRCDIR=$BPEL_PACK_DEST/BPEL$VERSION.src
BPELDIR=$BPELSRCDIR/BPEL

mkdir $BPELSRCDIR

cp -r $BPEL_HOME $BPELSRCDIR

rm -rf $BPELDIR/build
rm -rf $BPELDIR/UDDI
rm -rf $BPELDIR/eclipseBin
rm -rf $BPELDIR/tests/reports
rm -f $BPELDIR/samples/invokeDotNet/incrementService.wsdl

cd $BPELDIR/tests/org/objectweb/orchestra/tests/load/
ant clean

find $BPELSRCDIR/ -type d -name CVS -exec rm -rf {} \; -prune

find $BPELSRCDIR -type f -name *~ -exec rm -f {} \;

rm -f $BPELDIR/lib/ext/*.jar
rm -f $BPELDIR/lib/ext/jdbcDrivers/*.jar
cp $JONAS_ROOT/lib/commons/jonas/hsqldb.jar $BPELDIR/lib/ext/jdbcDrivers

chmod a+x $BPELDIR/bin/unix/*

cd $BPELSRCDIR
echo Creating $BPEL_PACK_DEST/bpel_$VERSION.src.tgz from $BPELSRCDIR...
tar -zcf $BPEL_PACK_DEST/bpel_$VERSION.src.tgz BPEL

BPELCLIENTDIR=$BPEL_PACK_DEST/BPEL$VERSION
BPELDIR=$BPELCLIENTDIR/BPEL
SAMPLESDIR=$BPELDIR/samples
ETCDIR=$BPELDIR/etc
SCHEMADIR=$ETCDIR/schema
BUILDDIR=$BPELDIR/build
APPSDIR=$BUILDDIR/apps
EJBJARSDIR=$BUILDDIR/ejbjars
APIDIR=$BUILDDIR/apis
LOADSERVICEDIR=$BUILDDIR/loadservice
BPEMDIR=$BUILDDIR/bpem
BFDIR=$BUILDDIR/bf
RARDIR=$BUILDDIR/rars

mkdir $BPELCLIENTDIR
mkdir $BPELDIR
mkdir $SAMPLESDIR
mkdir $ETCDIR
mkdir $SCHEMADIR
mkdir $BUILDDIR
mkdir $APPSDIR
mkdir $EJBJARSDIR
mkdir $APIDIR
mkdir $LOADSERVICEDIR
mkdir $BPEMDIR
mkdir $BFDIR
mkdir $RARDIR

rm -f $BPELDIR/pack.sh

cp $BPELSRCDIR/BPEL/install.xml $BPELDIR/build.xml
cp $BPELSRCDIR/BPEL/build.properties $BPELDIR
cp $BPELSRCDIR/BPEL/utils.xml $BPELDIR
cp $BPELSRCDIR/BPEL/client-config.wsdd $BPELDIR

cp -r $BPELSRCDIR/BPEL/tests $BPELDIR
rm -rf $BPELDIR/tests/org/objectweb/orchestra/tests/restart
cp -r $BPELSRCDIR/BPEL/Demos $BPELDIR
cp -r $BPELSRCDIR/BPEL/lib $BPELDIR
cp -r $BPELSRCDIR/BPEL/conf $BPELDIR
cp -r $BPELSRCDIR/BPEL/bin $BPELDIR
chmod a+x $BPELDIR/bin/unix/*
cp $BPEL_HOME/build/apps/orchestra.ear $APPSDIR
cp $BPEL_HOME/build/loadservice/orchestra_loadservice.jar $LOADSERVICEDIR
cp $BPEL_HOME/build/bpem/orchestra_bpem.jar $BPEMDIR
cp $BPEL_HOME/build/apis/orchestra_bpem_api.jar $APIDIR
cp $BPEL_HOME/build/apis/orchestra_api.jar $APIDIR
cp $BPEL_HOME/build/apis/orchestra_admin_api.jar $APIDIR
cp $BPEL_HOME/build/ejbjars/orchestra.jar $EJBJARSDIR
cp $BPEL_HOME/build/bf/orchestra_bfhandler.jar $BFDIR
cp $BPEL_HOME/build/bf/orchestra_bf.jar $BFDIR

cp $BPEL_HOME/etc/schema/*.xsd $SCHEMADIR

cp $BPEL_HOME/build/rars/*.rar $RARDIR

cp -r $BPELSRCDIR/BPEL/samples/assign $SAMPLESDIR
cp -r $BPELSRCDIR/BPEL/samples/echo $SAMPLESDIR
cp -r $BPELSRCDIR/BPEL/samples/echocomplex $SAMPLESDIR
cp -r $BPELSRCDIR/BPEL/samples/helloworld $SAMPLESDIR
cp -r $BPELSRCDIR/BPEL/samples/incrementService $SAMPLESDIR
cp -r $BPELSRCDIR/BPEL/samples/invoke $SAMPLESDIR
cp -r $BPELSRCDIR/BPEL/samples/marketplace $SAMPLESDIR
cp -r $BPELSRCDIR/BPEL/samples/reply $SAMPLESDIR
cp -r $BPELSRCDIR/BPEL/samples/switch $SAMPLESDIR
cp -r $BPELSRCDIR/BPEL/samples/wait $SAMPLESDIR
cp -r $BPELSRCDIR/BPEL/samples/while $SAMPLESDIR
cp -r $BPELSRCDIR/BPEL/samples/bpemdemo1 $SAMPLESDIR
cp -r $BPELSRCDIR/BPEL/samples/invokeDotNet $SAMPLESDIR
cp -r $BPELSRCDIR/BPEL/samples/BSOASender $SAMPLESDIR
cp -r $BPELSRCDIR/BPEL/samples/console $SAMPLESDIR
cp -r $BPELSRCDIR/BPEL/samples/sendmail $SAMPLESDIR
cp -r $BPELSRCDIR/BPEL/samples/weather $SAMPLESDIR
cp -r $BPELSRCDIR/BPEL/samples/weather2 $SAMPLESDIR
cp -r $BPELSRCDIR/BPEL/samples/factorialService $SAMPLESDIR
cp -r $BPELSRCDIR/BPEL/samples/list $SAMPLESDIR
cp -r $BPELSRCDIR/BPEL/samples/google $SAMPLESDIR

cd $BPELCLIENTDIR
echo Creating $BPEL_PACK_DEST/bpel_$VERSION.tgz from $BPELCLIENTDIR...
tar -zcf $BPEL_PACK_DEST/bpel_$VERSION.tgz BPEL

rm -rf $BPELSRCDIR
rm -rf $BPELCLIENTDIR
