package org.objectweb.orchestra.samples.factorialService;

import java.util.Calendar;
import java.util.GregorianCalendar;

public class FactorialServiceClient {
    public static void main(String[] args) {
        Calendar cal = new GregorianCalendar();
        int hour24 = cal.get(Calendar.HOUR_OF_DAY);     // 0..23
        int min = cal.get(Calendar.MINUTE);             // 0..59
        int sec = cal.get(Calendar.SECOND);             // 0..59
        int startSec = hour24*3600 + min*60 + sec;
        int argNb = 1;
        if (args.length != argNb) {
            System.out.println(">>>>> ERROR: Number of arguments needed : "+argNb);
            System.out.println("             The first should be an int");
        } else {
            try {
                System.out.println(">>>>> Factorial input: " + args[0] +". Starting at "+hour24+"h"+min+"m"+sec+"s");
                FactorialServiceServiceBP is = new FactorialServiceServiceBPLocator();
                FactorialServicePT ipt = is.getFactorialServicePT();
                ProcessFactorialServiceType in = new ProcessFactorialServiceType();
                in.setValue(java.lang.Double.parseDouble(args[0]));
                ProcessFactorialServiceResponseType out = ipt.process(in);
                cal = new GregorianCalendar();
                hour24 = cal.get(Calendar.HOUR_OF_DAY);     // 0..23
                min = cal.get(Calendar.MINUTE);             // 0..59
                sec = cal.get(Calendar.SECOND);             // 0..59
                System.out.println(">>>>> Factorial response received: " + out.getResult() +". Ending at "+hour24+"h"+min+"m"+sec+"s");
                int endSec = hour24*3600 + min*60 + sec;
                int elapsedSec = endSec - startSec;
                System.out.println(">>>>> Factorial elaspsed time: " + elapsedSec);

            } catch (Exception e) {
                e.printStackTrace(System.err);
            }
        }
    }
}
