package org.objectweb.orchestra.samples.weather;

import java.lang.*;
import java.math.*;
import java.util.Calendar;
import java.util.Date;
import java.util.GregorianCalendar;


public class WeatherClient
{
    public static void main(String [] args)
    {
        int argNb = 2;
        if (args.length != argNb) {
            displayUsage();
        } else {
            try {
                System.out.println("Latitude: "+ args[0] + ", Longitude: " + args[1]);

                WeatherServiceBP is=new WeatherServiceBPLocator();
                WeatherPT ipt=is.getweatherPT();

                String latitude = args[0];
                String longitude = args[1];

                LocationType in = new LocationType();
                in.setLatitude(latitude);
                in.setLongitude(longitude);
                //
                // Put current date in
                //
                Date d = new Date();
                Calendar cal = new GregorianCalendar();
                cal.setTime(d);
//              cal.add(Calendar.SECOND,7);
                in.setDate(cal);


                OutputType out = ipt.process(in);

                System.out.println("Result = " + out.getResult());

            } catch (NumberFormatException e) {
                System.out.println(">>>>> ERROR: check input params...");
            } catch (Exception e) {
                e.printStackTrace(System.err);
            }
        }
    }

    private static void displayUsage() {
        System.out.println(">>>>> ERROR: 2 decimal args expected.");
        System.out.println(">>>>> The first must be a latitude within the US. Approximate range is 24.00 to 50.00");
        System.out.println(">>>>> The second must be a longtitude within the US. Approximate range is -72.00 to -125.00");
        System.out.println(">>>>> Here are some example locations within the US.");
        System.out.println(">>>>>     City               Latitude  Longitude");
        System.out.println(">>>>>     Washington, DC.     38.90     -77.04");
        System.out.println(">>>>>     New York, NY.       40.76     -73.92");
        System.out.println(">>>>>     Los Angelas, CA.    34.10     -118.33");
        System.out.println(">>>>>     San Francisco, CA.  37.74     -122.42");
        System.out.println(">>>>>     Phoenix, AZ.        33.62     -112.12");
    }
}
