/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.bindingframework;

import java.io.Serializable;

/**
 * Service event sent when done processing an invoke call.
 *
 * @author Eric Hardesty
 * @version $Id: ServiceEvent.java 5 2006-10-20 14:37:44Z lejeuneg $
 *
 */
public class ServiceEvent extends java.util.EventObject implements Serializable {

    private ServiceException exc = null;
    private ServiceData serviceData = null;

    public ServiceEvent(Object service, ServiceData sd, ServiceException srvEx) {
        super(service);
        this.serviceData = sd;
        this.exc = srvEx;
    }

    public ServiceException getException() {
        return this.exc;
    }

    public ServiceData getServiceData() {
        return this.serviceData;
    }
}