/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.bindingframework;

import java.util.EventListener;

/**
 * Service listener interface to be used by caller's of the BindingFramework to receive
 * information about the invoke calls.
 *
 * @author Eric Hardesty
 * @version $Id: ServiceListener.java 5 2006-10-20 14:37:44Z lejeuneg $
 *
 */
public interface ServiceListener extends EventListener {

    /**
     * Fault occurred in the invoke
     *
     * @param se ServiceEvent object describing the fault
     */
    void faultOccurred(ServiceEvent se);

    /**
     * Response from the invoke
     *
     * @param se ServiceEvent object describing the response
     */
    void responseReceived(ServiceEvent se);

    /**
     * Reply received
     *
     * @param se ServiceEvent object describing the reply
     */
    void replyReceived(ServiceEvent se);

}