/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.bpem.view;

import javax.swing.table.DefaultTableModel;

/**
 * PropertyTableModel.java
 *
 * @author Bill Murray
 * @version $Id: PropertyTableModel.java 5 2006-10-20 14:37:44Z lejeuneg $
 *
 * This class extends the DefaultTableModel only to make it readonly. Note that
 * data manipulation (ading row data) is still in the main display class.
 */
public class PropertyTableModel extends DefaultTableModel {

    /**
     * PropertyTableModel - constructor
     *
     * @param rowCount
     * @param columnCount
     */
    public PropertyTableModel(int rowCount, int columnCount) {
        super(rowCount, columnCount);
    }

    /**
     * isCellEditable - Always return false to indicate that all cells are
     * readonly.
     */
    public boolean isCellEditable(int row, int column) {
        return false;
    }
}