/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.data;

import java.io.Serializable;

/**
 * CSData.java
 *
 * @author Goulven Le Jeune & Charles Souillard
 * @version $Id: CSData.java 5 2006-10-20 14:37:44Z lejeuneg $
 *
 */
public class CSData implements Serializable {

    private int csId;
    private int bpiId;
    private String csName;
    private Object csValue;
    private int scopeId;

    public CSData(int csId, int bpiId, String csName, Object csValue) {
        this.csId = csId;
        this.bpiId = bpiId;
        this.csName = csName;
        this.csValue = csValue;
        this.scopeId = -1;
    }

    public CSData(int csId, int bpiId, String csName, Object csValue, int scopeId) {
        this.csId = csId;
        this.bpiId = bpiId;
        this.csName = csName;
        this.csValue = csValue;
        this.scopeId = scopeId;
    }

    public int getCSId() {
        return this.csId;
    }

    public int getBPIId() {
        return this.bpiId;
    }

    public String getCSName() {
        return this.csName;
    }

    public Object getCSValue() {
        return this.csValue;
    }

    public int getScopeId() {
        return this.scopeId;
    }

    // WARNING Setters should only be called from Cache Class
    public void setScopeId(int scopeId) {
        this.scopeId = scopeId;
    }

    public void setCSValue(Object csValue) {
        this.csValue = csValue;
    }
}
