/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.data;

import java.io.Serializable;

import javax.xml.namespace.QName;


/**
 * PartnerLinkData.java
 *
 * @author Goulven Le Jeune & Charles Souillard
 * @version $Id: PartnerLinkData.java 5 2006-10-20 14:37:44Z lejeuneg $
 *
 */
public class PartnerLinkData implements Serializable {

    private int plId;
    private String plName;
    private String processName;
    private QName plType;
    private String plMyRole;
    private String plPartnerRole;
    private QName plMyRolePT;
    private QName plPartnerRolePT;
    private String plMyRoleEndpoint;
    private String plPartnerRoleEndpoint;
    private int bpiId;

    public PartnerLinkData(int plId, String plName, String processName, QName plType, String plMyRole, String plPartnerRole, QName plMyRolePT, QName plPartnerRolePT, String plMyRoleEndpoint, String plPartnerRoleEndpoint, int bpiId) {
        this.plId = plId;
        this.plName = plName;
        this.processName = processName;
        this.plType = plType;
        this.plMyRole = plMyRole;
        this.plPartnerRole = plPartnerRole;
        this.plMyRolePT = plMyRolePT;
        this.plPartnerRolePT = plPartnerRolePT;
        this.plMyRoleEndpoint = plMyRoleEndpoint;
        this.plPartnerRoleEndpoint = plPartnerRoleEndpoint;
        this.bpiId = bpiId;
    }

    public int getPlId() {
        return this.plId;
    }

    public int getBPIId() {
        return this.bpiId;
    }

    // WARNING Setters should only be called from Cache Class
    public void setPartnerRoleEndpoint(String endPoint) {
        this.plPartnerRoleEndpoint = endPoint;
    }


    public int getBpiId() {
        return this.bpiId;
    }


    public String getPlMyRole() {
        return this.plMyRole;
    }


    public String getPlMyRoleEndpoint() {
        return this.plMyRoleEndpoint;
    }


    public QName getPlMyRolePT() {
        return this.plMyRolePT;
    }


    public String getPlName() {
        return this.plName;
    }


    public String getPlPartnerRole() {
        return this.plPartnerRole;
    }


    public String getPlPartnerRoleEndpoint() {
        return this.plPartnerRoleEndpoint;
    }


    public QName getPlPartnerRolePT() {
        return this.plPartnerRolePT;
    }


    public QName getPlType() {
        return this.plType;
    }


    public String getProcessName() {
        return this.processName;
    }

}
