/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.data;

import java.io.Serializable;
import java.util.Date;


/**
 * ScopeData.java
 *
 * @author Goulven Le Jeune & Charles Souillard
 * @version $Id: ScopeData.java 5 2006-10-20 14:37:44Z lejeuneg $
 *
 */
public class ScopeData implements Serializable {

    private int scopeId;
    private String scopeName;
    private int bpiId;
    private String nb;
    private int iter;
    private boolean finished;
    private Date endDate;
    private int fatherId;

    public ScopeData(int scopeId, String scopeName) {
        this.scopeId = scopeId;
        this.scopeName = scopeName;
        this.finished = true;
    }

    public ScopeData(int scopeId, String scopeName, int bpiId, String nb, int iter, int fatherId) {
        this.scopeId = scopeId;
        this.scopeName = scopeName;
        this.bpiId = bpiId;
        this.nb = nb;
        this.iter = iter;
        this.fatherId = fatherId;
        this.finished = true;
    }

    public ScopeData(int scopeId, String scopeName, int bpiId, String nb, int iter, boolean finished, Date endDate, int fatherId) {
        this.scopeId = scopeId;
        this.scopeName = scopeName;
        this.bpiId = bpiId;
        this.nb = nb;
        this.iter = iter;
        this.finished = finished;
        this.endDate = endDate;
        this.fatherId = fatherId;
    }

    public int getScopeId() {
        return this.scopeId;
    }

    public String getScopeName() {
        return this.scopeName;
    }

    public int getBPIId() {
        return this.bpiId;
    }

    public String getNb() {
        return this.nb;
    }

    public int getIter() {
        return this.iter;
    }

    public boolean getFinished() {
        return this.finished;
    }

    public Date getEndDate() {
        return this.endDate;
    }

    public int getFatherId() {
        return this.fatherId;
    }

    // WARNING Setters should only be called from Cache Class
    public void setBPIId(int bpiId) {
        this.bpiId = bpiId;
    }

    public void setNb(String nb) {
        this.nb = nb;
    }

    public void setIter(int iter) {
        this.iter = iter;
    }

    public void setFinished(boolean finished) {
        this.finished = finished;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public void setfatherId(int fatherId) {
        this.fatherId = fatherId;
    }

    public String toString() {
        StringBuffer sb = new StringBuffer();
        sb.append("ScopeData scopeId=").append(this.scopeId)
        .append("\nscopeName=").append(this.scopeName)
        .append("\nbpiId=").append(this.bpiId)
        .append("\nnb=").append(this.nb)
        .append("\niter=").append(this.iter)
        .append("\nbpiId=").append(this.bpiId)
        .append("\nfinished=").append(this.finished)
        .append("\nendDate=").append(this.endDate)
        .append("\nfatherId=").append(this.fatherId);
        return sb.toString();
    }
}
