/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.engine;

import java.util.Hashtable;

import org.objectweb.orchestra.util.BPELTrace;


/**
 * BPIMap.java
 *
 * @author Goulven Le Jeune & Charles Souillard
 * @version $Id: BPIMap.java 5 2006-10-20 14:37:44Z lejeuneg $
 *
 */
public class BPIMap {
    public static Hashtable bpis = new Hashtable();

    public static BPI getBPI(int bpiId) {
        return (BPI) bpis.get(new Integer(bpiId));
    }

    public static void addBPI(BPI bpi) {
        if (BPELTrace.isEngineDebugEnabled())
            BPELTrace.traceEngine("BPIMap.addBPI : "+bpi.getBpiId());
        bpis.put(new Integer(bpi.getBpiId()),bpi);
    }

    public static void removeBPI(int bpiId) {
        if (BPELTrace.isEngineDebugEnabled())
            BPELTrace.traceEngine("BPIMap.removeBPI : "+bpiId);
        bpis.remove(new Integer(bpiId));
    }

    public static boolean canContinue(int bpiId,int bpuId) {
        boolean canContinue = true;
        BPI bpi = getBPI(bpiId);
        if (bpi.stopAll() || bpi.stopBpuByScope(bpuId)) {
            canContinue = false;
        }
        return canContinue;
    }

}
