/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.engine;

import java.util.Vector;

/**
 * CSProperties.java
 *
 * @author Goulven Le Jeune & Charles Souillard
 * @version $Id: CSProperties.java 5 2006-10-20 14:37:44Z lejeuneg $
 *
 */
public class CSProperties implements java.io.Serializable {

    private Vector properties = null;

    /**
     * Default Constructor
     */
    public CSProperties() {
        this.properties = new Vector();
    }

    /**
     * @return
     */
    public int getPropertiesSize() {
        return this.properties.size();
    }

    /**
     * @param index
     * @return
     */
    public String getProperty(int index) {
        return ((CSPropertyElement) this.properties.get(index)).getProperty();
    }

    /**
     * @param index
     * @return
     */
    public Object getValue(int index) {
        return ((CSPropertyElement) this.properties.get(index)).getValue();
    }

    /**
     * @param prop
     * @return
     */
    public Object getValue(String prop) {
        Object result = null;
        for (int i = 0; i < this.properties.size() && result == null; i++) {
            CSPropertyElement cspe = (CSPropertyElement) this.properties.get(i);
            if ((cspe.getProperty()).equals(prop)) {
                result = cspe.getValue();
            }
        }
        return result;
    }

    /**
     * @param prop
     * @param val
     */
    public void setValue(String prop, Object val) {
        for (int i = 0; i < this.properties.size(); i++) {
            if (((CSPropertyElement) this.properties.get(i)).getProperty().equals(prop)) {
                ((CSPropertyElement) this.properties.get(i)).setValue(val);
                break;
            }
        }
    }

    /**
     * @param prop
     * @param val
     */
    public void addProperty(String prop, Object val) {
        CSPropertyElement cspe = new CSPropertyElement(prop, val);
        this.properties.addElement(cspe);
    }

    /**
     * @param prop
     */
    public void addProperty(String prop) {
        addProperty(prop, null);
    }
}