/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.engine;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.io.Serializable;
import java.util.Vector;

import org.objectweb.orchestra.exception.BPELEngineException;
import org.objectweb.orchestra.util.BPELConstants;



/**
 * ComplexTypes.java
 *
 * @author Goulven Le Jeune & Charles Souillard
 * @version $Id: ComplexTypes.java 5 2006-10-20 14:37:44Z lejeuneg $
 *
 */
public class ComplexTypes implements Serializable {

    private static String myPath = BPELConstants.COMPLEXTYPES_DIR;
    private Vector properties = null;

    /**
     * Default Constructor
     *
     * @param processName
     * @throws FileNotFoundException
     * @throws IOException
     */
    public ComplexTypes(String processName) throws BPELEngineException {
        if (myPath.startsWith("null")) { throw new BPELEngineException("ProcessMap: "+BPELConstants.BPEL_HOME_PROPERTY+" property is not set",null); }
        try {
            File f = new File(myPath + File.separator + processName + ".txt");
            this.properties = new Vector();
            FileReader fr = new FileReader(f);
            BufferedReader br = new BufferedReader(fr);
            String line = br.readLine();
            while (line != null) {
                //System.out.println("Line : " + line);
                String[] elements = line.split(" ");
                ComplexTypesElement we = new ComplexTypesElement(elements);
                this.properties.add(we);
                line = br.readLine();
            }
            fr.close();
            br.close();
        } catch (FileNotFoundException e) {
            throw new BPELEngineException("FileNotFoundException ComplexTypes ComplexTypes : \n" , e);
        } catch (IOException e) {
            throw new BPELEngineException("IOException ComplexTypes ComplexTypes : \n" , e);
        }

    }

    /**
     * @return
     */
    public Vector getAllTypes() {
        return this.properties;
    }
}