/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.engine;

import java.util.Hashtable;

import org.objectweb.orchestra.exception.BPELEngineException;



/**
 * FileMap.java
 *
 * @author Goulven Le Jeune & Charles Souillard
 * @version $Id: FileMap.java 5 2006-10-20 14:37:44Z lejeuneg $
 *
 */
public class FileMap {

    public static Object cpMutex = new Object();
    public static Object plMutex = new Object();
    public static Object wMutex = new Object();
    public static Object pMutex = new Object();

    public static Hashtable complexTypes = new Hashtable();
    public static Hashtable plTypes = new Hashtable();
    public static Hashtable wsdlBindings = new Hashtable();

    public static ComplexTypes getComplexTypes(String processName) throws BPELEngineException {
        ComplexTypes result = (ComplexTypes) complexTypes.get(processName);
        if (result == null) {
            result = new ComplexTypes(processName);
            complexTypes.put(processName,result);
        }
        return result;
    }

    public static void removeComplexTypes(String processName) {
        complexTypes.remove(processName);
    }

    public static PLType getPLType(String processName) throws BPELEngineException {
        PLType result = (PLType) plTypes.get(processName);
        if (result == null) {
            result = new PLType(processName);
            plTypes.put(processName,result);
        }
        return result;
    }

    public static void removePLType(String processName) {
        plTypes.remove(processName);
    }

    public static WsdlBinding getWsdlBinding(String processName) throws BPELEngineException {
        WsdlBinding result = (WsdlBinding) wsdlBindings.get(processName);
        if (result == null) {
            result = new WsdlBinding(processName);
            wsdlBindings.put(processName,result);
        }
        return result;
    }

    public static void removeWsdlBinding(String processName) {
        wsdlBindings.remove(processName);
    }

    public static void removeAll(String processname) {
        removeComplexTypes(processname);
        removePLType(processname);
        removeWsdlBinding(processname);
    }

}


