/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.engine;

import java.io.Serializable;

/**
 * MessageStructure.java
 *
 * @author Goulven Le Jeune & Charles Souillard
 * @version $Id: MessageStructure.java 5 2006-10-20 14:37:44Z lejeuneg $
 *
 */
public class MessageStructure implements Serializable {

    private String messageName;

    private int partNb;

    private PartStructure[] messageParts;

    private int cmpt = 0;

    /**
     * Default Constructor
     *
     * @param name
     */
    public MessageStructure(String name) {
        this.messageName = name;
    }

    /**
     * @param nb
     */
    public void setPartNb(int nb) {
        this.partNb = nb;
        this.messageParts = new PartStructure[this.partNb];
        this.cmpt = 0;
    }

    /**
     * @param part
     */
    public void addPart(PartStructure part) {
        this.messageParts[this.cmpt++] = part;
    }

    /**
     * @return
     */
    public String getMessageName() {
        return this.messageName;
    }

    /**
     * @return
     */
    public PartStructure[] getParts() {
        return this.messageParts;
    }
}