/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.engine;

import java.io.Serializable;

import org.objectweb.orchestra.bindingframework.ServiceEvent;
import org.objectweb.orchestra.bindingframework.ServiceListener;
import org.objectweb.orchestra.util.BPELTrace;


/**
 * OrchestraServiceListener.java
 *
 * @author Goulven Le Jeune & Charles Souillard
 * @version $Id: OrchestraServiceListener.java 5 2006-10-20 14:37:44Z lejeuneg $
 *
 */
public class OrchestraServiceListener implements ServiceListener, Serializable {


    private ServiceEvent bfResult;
    //private Object invokeLock = new Object();

    public ServiceEvent getBfResult() {
        return this.bfResult;
    }

    public void setBfResult(ServiceEvent bfResult) {
        this.bfResult = bfResult;
    }

    public void faultOccurred(ServiceEvent se) {
        this.bfResult = se;
        if (BPELTrace.isEngineDebugEnabled())
            BPELTrace.traceEngine("** Received Fault(" + this.bfResult.getException() + ") for process " + this.bfResult.getServiceData().getProcessId());
        //synchronized (this.invokeLock) {
        //    this.invokeLock.notify();
        //}
    }


    public void responseReceived(ServiceEvent se) {
        this.bfResult = se;
        if (BPELTrace.isEngineDebugEnabled())
            BPELTrace.traceEngine("** Received Response for process " + this.bfResult.getServiceData().getProcessId());
        //synchronized (this.invokeLock) {
        //    this.invokeLock.notify();
        //}
    }

    // Will never receive this one, at least not at this time.
    public void replyReceived(ServiceEvent se) {
        this.bfResult = se;
        if (BPELTrace.isEngineDebugEnabled())
            BPELTrace.traceEngine("** Received Reply for process " + this.bfResult.getServiceData().getProcessId());
    }


}


