/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.engine;

import java.io.Serializable;

/**
 * PartStructure.java
 *
 * @author Goulven Le Jeune & Charles Souillard
 * @version $Id
 *
 */
public class PartStructure implements Serializable {

    private String partName;
    private String partType;
    private String partElement;

    /**
     * Default Constructor
     *
     * @param name
     * @param type
     */
    public PartStructure(String name, String type, String element) {
        this.partName = name;
        if (isNull(type)) {
            this.partType = null;
        } else {
            this.partType = type;
        }
        if (isNull(element)) {
            this.partElement = null;
        } else {
            this.partElement = element;
        }
    }

    /**
     * @return
     */
    public String getName() {
        return this.partName;
    }

    /**
     * @return
     */
    public String getType() {
        return this.partType;
    }

    /**
     * @return
     */
    public String getElement() {
        return this.partElement;
    }

    public boolean isNull(String s) {
        if (s == null) {
            return true;
        }
        return s.equals("null");
    }
}