/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.engine;

/**
 * PendingInvoke.java
 *
 * @author Goulven Le Jeune & Charles Souillard
 * @version $Id: PendingInvoke.java 5 2006-10-20 14:37:44Z lejeuneg $
 *
 */
public class PendingInvoke extends Object {

    private String mOperation;
    private String mPortType;
    private String mPartner;
    private int mMessageId;

    /**
     * Constructor
     *
     * @param operation
     * @param portType
     * @param partner
     */
    public PendingInvoke(String operation, String portType, String partner) {
        this.mOperation = operation;
        this.mPortType = portType;
        this.mPartner = partner;
    }

    /**
     * Constructor
     *
     * @param operation
     * @param portType
     * @param partner
     * @param messageId
     */
    public PendingInvoke(String operation, String portType, String partner, int messageId) {
        this.mOperation = operation;
        this.mPortType = portType;
        this.mPartner = partner;
        this.mMessageId = messageId;
    }

    /**
     * @return
     */
    public String getOperation() {
        return this.mOperation;
    }

    /**
     * @return
     */
    public String getPortType() {
        return this.mPortType;
    }

    /**
     * @return
     */
    public String getPartner() {
        return this.mPartner;
    }

    /**
     * @return
     */
    public int getMessageId() {
        return this.mMessageId;
    }

    /**
     * @param pi
     * @return
     */
    public boolean equals(PendingInvoke pi) {
        return ((this.mOperation.equals(pi.getOperation())) && (this.mPortType.equals(pi.getPortType())) && (this.mPartner.equals(pi.getPartner())));
    }
}
