/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.engine;

/**
 * PendingReceive.java
 *
 * @author Goulven Le Jeune & Charles Souillard
 * @version $Id: PendingReceive.java 5 2006-10-20 14:37:44Z lejeuneg $
 *
 */
public class PendingReceive extends Object {

    private String mOperation;
    private String mPortType;
    private String mPartner;
    private int mBrancheNb;
    private int mScopeId;
    private int mBpuId;

    /**
     * Constructor
     *
     * @param operation
     * @param portType
     * @param partner
     */
    public PendingReceive(String operation, String portType, String partner) {
        this.mOperation = operation;
        this.mPortType = portType;
        this.mPartner = partner;
    }

    /**
     * Constructor
     *
     * @param operation
     * @param portType
     * @param partner
     * @param brancheNb
     * @param scopeId
     */
    public PendingReceive(int bpuId,String operation, String portType, String partner, int brancheNb, int scopeId) {
        this.mOperation = operation;
        this.mPortType = portType;
        this.mPartner = partner;
        this.mBrancheNb = brancheNb;
        this.mScopeId = scopeId;
        this.mBpuId = bpuId;
    }

    /**
     * @return
     */
    public String getOperation() {
        return this.mOperation;
    }

    /**
     * @return
     */
    public String getPortType() {
        return this.mPortType;
    }

    /**
     * @return
     */
    public String getPartner() {
        return this.mPartner;
    }

    /**
     * @return
     */
    public int getBrancheNb() {
        return this.mBrancheNb;
    }

    /**
     * @return
     */
    public int getScopeId() {
        return this.mScopeId;
    }

    /**
     * @return
     */
    public int getBpuId() {
        return this.mBpuId;
    }

    /**
     * @param pi
     * @return
     */
    public boolean equals(PendingReceive pi) {
        return ((this.mOperation.equals(pi.getOperation())) && (this.mPortType.equals(pi.getPortType())) && (this.mPartner.equals(pi.getPartner())));
    }

    /**
     * Print PendingReceive
     */
    public void print() {
        System.out.println("mOperation : " + this.mOperation);
        System.out.println("mPortType : " + this.mPortType);
        System.out.println("mPartner : " + this.mPartner);
        System.out.println("mBrancheNb : " + this.mBrancheNb);
        System.out.println("mScopeId : " + this.mScopeId);
    }
}