/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.engine;

/**
 * PendingSource.java
 *
 * @author Goulven Le Jeune & Charles Souillard
 * @version $Id: PendingSource.java 5 2006-10-20 14:37:44Z lejeuneg $
 *
 */
public class PendingSource {

    private String linkName;
    private boolean transitionCondition;

    /**
     * Default constructor
     *
     * @param ln
     *            the LinkName
     * @param tc
     *            the Transition Condition
     */
    public PendingSource(String ln, String tc) {
        this.linkName = ln;
        this.transitionCondition = new Boolean(tc).booleanValue();
    }

    /**
     * @return the LinkName
     */
    public String getLinkName() {
        return this.linkName;
    }

    /**
     * @return the Transition Condition
     */
    public boolean getTransitionCondition() {
        return this.transitionCondition;
    }

    public String toString() {
        String st = "----------\n";
        st += "PendingSource - linkName = "+this.linkName+"\n";
        st += "PendingSource - transitionCondition = "+this.transitionCondition+"\n";
        st += "----------\n";
        return st;
    }
}