/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.engine;

/**
 * RunningFlow.java
 *
 * @author Goulven Le Jeune & Charles Souillard
 * @version $Id: RunningFlow.java 5 2006-10-20 14:37:44Z lejeuneg $
 *
 */
public class RunningFlow {

    private int statementNb;
    private int activeChilds;

    /**
     * Default Constructor
     *
     * @param nb
     * @param childsNb
     */
    public RunningFlow(int nb, int childsNb) {
        this.statementNb = nb;
        this.activeChilds = childsNb;
    }

    /**
     * @return
     */
    public boolean childFinished() {
        return (--this.activeChilds == 0);
    }

    /**
     * @return
     */
    public int getStatementNb() {
        return this.statementNb;
    }

    public int getActiveChildren() {
        return this.activeChilds;
    }

    public void incrActiveChildNb(int nb) {
        this.activeChilds += nb;
    }
}