/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.generator;

/**
 * CorrelationSet.java, represents a CorrelationSet
 *
 * @author Goulven Le Jeune & Charles Souillard
 * @version $Id: CorrelationSet.java 5 2006-10-20 14:37:44Z lejeuneg $
 *
 */
public class CorrelationSet {

    int scopeId;
    String name;
    String[] properties;

    /**
     * Constructor
     *
     * @param sId
     *            the scopeId associated to this correlationSet
     * @param n
     *            the name of the correlationSet
     * @param p
     *            the list of properties associated to this correlationSet
     */
    public CorrelationSet(int sId, String n, String p) {
        this.scopeId = sId;
        this.name = n;
        this.properties = p.split(" ");
    }

    /**
     * get the scopeId of this CorrelationSet
     *
     * @return int the scopeId
     */
    public int getScopeId() {
        return this.scopeId;
    }

    /**
     * get the name of this CorrelationSet
     *
     * @return String the name
     */
    public String getName() {
        return this.name;
    }

    /**
     * get the properties of this CorrelationSet
     *
     * @return String[] the properties
     */
    public String[] getProperties() {
        return this.properties;
    }
}