/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.generator;

import javax.wsdl.Operation;
import javax.wsdl.PortType;

import org.apache.axis.wsdl.symbolTable.Parameters;

/**
 * OperationParameters.java
 *
 * @author Goulven Le Jeune & Charles Souillard
 * @version $Id: OperationParameters.java 5 2006-10-20 14:37:44Z lejeuneg $
 *
 */
public class OperationParameters {

    private Operation operation = null;
    private PortType portType = null;
    private Parameters parameters = null;

    public OperationParameters(PortType pt, Operation op, Parameters p) {
        this.portType = pt;
        this.operation = op;
        this.parameters = p;
    }

    public Parameters getParameters() {
        return this.parameters;
    }

    public Operation getOperation() {
        return this.operation;
    }

    public PortType getPortType() {
        return this.portType;
    }
}