/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.generator;

/**
 * VarTypeName.java
 *
 * @author Goulven Le Jeune & Charles Souillard
 * @version $Id: VarTypeName.java 5 2006-10-20 14:37:44Z lejeuneg $
 *
 */
public class VarTypeName {

    private String mName = null;
    private String mType = null;

    /**
     * Constructor
     *
     * @param name
     *            the name of the part
     * @param type
     *            the java type of this part (for int => java.lang.Integer)
     */
    public VarTypeName(String name, String type) {
        this.mName = name;
        this.mType = type;
    }

    /**
     * print this VarTypeName
     *
     */
    public String toString() {
        return ("VarTypeName, name=" + this.mName + ", type=" + this.mType);
    }

    /**
     * get the part name of this VarTypeName
     *
     * @return String the name of the part
     */
    public String getName() {
        return this.mName;
    }

    /**
     * get the type of the part of this VarTypeName
     *
     * @return String the java type of the part (holder or not)
     */
    public String getType() {
        return this.mType;
    }

}