/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.tasks;

import java.io.File;

import org.apache.tools.ant.taskdefs.Copy;
import org.apache.tools.ant.taskdefs.Jar;
import org.apache.tools.ant.types.FileSet;

/**
 * ArchiveProcessTask.java
 *
 * @author Goulven Le Jeune & Charles Souillard
 * @version $Id: ArchiveProcessTask.java 5 2006-10-20 14:37:44Z lejeuneg $
 */
public class ArchiveProcessTask extends StandardDeployTask {

    public ArchiveProcessTask() {
        setTaskName("archiveProcess");
    }

    public void execute() {
        log("Starting ArchiveProcessTask...");
        copyWsdd();
        createJar();
        log("Finishing ArchiveProcessTask...");
    }

    public void copyWsdd() {
        Copy c2 = new Copy();
        c2.setProject(getProject());
        String st2 = getProp("build_wsdd_dir") + this.sep + getProcessName()+"deploy.wsdd";
        File f2 = new File(st2);
        c2.setTofile(f2);
        c2.setFile(new File(getProp("wsddProcessDir")+this.sep +"deploy.wsdd"));
        c2.setTaskName("copy");
        c2.execute();

        Copy c3 = new Copy();
        c3.setProject(getProject());
        String st3 = getProp("build_wsdd_dir") + this.sep + getProcessName()+"undeploy.wsdd";
        File f3 = new File(st3);
        c3.setTofile(f3);
        c3.setFile(new File(getProp("wsddProcessDir")+this.sep +"undeploy.wsdd"));
        c3.setTaskName("copy");
        c3.execute();
    }

    public void createJar() {
        Jar j = new Jar();
        j.setTaskName("jar");
        j.setProject(getProject());
        String st = getProp("build_jars_dir") + this.sep + getProp(getProcessName() + "_jar_name");
        File f = new File(st);
        j.setDestFile(f);

        FileSet fs1 = new FileSet();
        fs1.setDir(new File(getProp("build_classes_dir") + this.sep + getProcessName()));
        fs1.setIncludes("**");
        j.addFileset(fs1);

        j.execute();
    }

}