/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.tree;

/**
 * Activity.java
 *
 * @author Goulven Le Jeune & Charles Souillard
 * @version $Id: Activity.java 5 2006-10-20 14:37:44Z lejeuneg $
 *
 */
public abstract class Activity extends Statement {

    protected String name = null;

    protected String joinCondition = null;

    protected String suppressJoinFailure = null;

    public Activity(String name, String joinCondition, String suppressJoinFailure) {
        if (isNull(name)) {
            this.name = null;
        } else {
            this.name = name;
        }
        if (isNull(joinCondition)) {
            this.joinCondition = null;
        } else {
            this.joinCondition = joinCondition;
        }
        if (isNull(suppressJoinFailure)) {
            this.suppressJoinFailure = null;
        } else {
            this.suppressJoinFailure = suppressJoinFailure;
        }

    }

    public String getName() {
        return this.name;
    }

    public String getJoinCondition() {
        return this.joinCondition;
    }

    public String getSuppressJoinFailure() {
        return this.suppressJoinFailure;
    }

    public boolean isActivity() {
        return true;
    }
}
