/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.tree;

/**
 * Invoke.java
 *
 * @author Goulven Le Jeune & Charles Souillard
 * @version $Id: Invoke.java 5 2006-10-20 14:37:44Z lejeuneg $
 *
 */
public class Invoke extends Activity {

    private String invokePartnerLink = null;
    private String invokePortType = null;
    private String invokeOperation = null;
    private String invokeInputVariable = null;
    private String invokeOutputVariable = null;
    private String invokePort = null;

    public Invoke(java.lang.Integer nb, String partnerLink, String portType, String operation, String inputVariable, String outputVariable, String port, String name, String joinCondition, String suppressJoinFailure) {
        super(name, joinCondition, suppressJoinFailure);
        this.statementNb = nb;
        if (isNull(partnerLink)) {
            this.invokePartnerLink = null;
        } else {
            this.invokePartnerLink = partnerLink;
        }
        if (isNull(portType)) {
            this.invokePortType = null;
        } else {
            this.invokePortType = portType;
        }
        if (isNull(operation)) {
            this.invokeOperation = null;
        } else {
            this.invokeOperation = operation;
        }
        if (isNull(inputVariable)) {
            this.invokeInputVariable = null;
        } else {
            this.invokeInputVariable = inputVariable;
        }
        if (isNull(outputVariable)) {
            this.invokeOutputVariable = null;
        } else {
            this.invokeOutputVariable = outputVariable;
        }
        if (isNull(port)) {
            this.invokePort = null;
        } else {
            this.invokePort = port;
        }
        this.cmpt = 0;
    }

    public String getType() {
        return "Invoke";
    }

    public void print() {
        System.out.println("Invoke");
        System.out.println(" Invoke partnerLink : " + this.invokePartnerLink);
        System.out.println(" Invoke portType : " + this.invokePortType);
        System.out.println(" Invoke operation : " + this.invokeOperation);
        System.out.println(" Invoke input variable : " + this.invokeInputVariable);
        System.out.println(" Invoke output variable : " + this.invokeOutputVariable);
        System.out.println(" Invoke port : " + this.invokePort);
        System.out.println(" Invoke Name : " + this.name);
        if (this.next != null) {
            this.next.print();
        }
    }

    public String getInvokePartnerLink() {
        return this.invokePartnerLink;
    }

    public String getInvokePortType() {
        return this.invokePortType;
    }

    public String getInvokeOperation() {
        return this.invokeOperation;
    }

    public String getInputVariable() {
        return this.invokeInputVariable;
    }

    public String getOutputVariable() {
        return this.invokeOutputVariable;
    }

    public String getInvokePort() {
        return this.invokePort;
    }
}