/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.tree;

/**
 * OnAlarm.java
 *
 * @author Goulven Le Jeune & Charles Souillard
 * @version $Id: OnAlarm.java 5 2006-10-20 14:37:44Z lejeuneg $
 *
 */
public class OnAlarm extends Statement {

    private String onAlarmFor = null;

    private String onAlarmUntil = null;

    public OnAlarm(java.lang.Integer nb) {
        this.statementNb = nb;
    }

    public String getType() {
        return "OnAlarm";
    }

    public void print() {
        System.out.println("OnAlarm : ");
        System.out.println("  onAlarmFor : " + this.onAlarmFor);
        System.out.println("  onAlarmUntil : " + this.onAlarmUntil);
        for (int i = 0; i < this.cmpt; i++) {
            System.out.println("    Child " + i + " :");
            this.childs[i].print();
            System.out.println("    End Child " + i);
        }
        System.out.println("End OnAlarm");
    }

    public void setFor(String alarmFor) {
        if (isNull(alarmFor)) {
            this.onAlarmFor = null;
        } else {
            this.onAlarmFor = alarmFor;
        }
    }

    public void setUntil(String alarmUntil) {
        if (isNull(alarmUntil)) {
            this.onAlarmUntil = null;
        } else {
            this.onAlarmUntil = alarmUntil;
        }
    }

    public String getFor() {
        return this.onAlarmFor;
    }

    public String getUntil() {
        return this.onAlarmUntil;
    }

}