/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.tree;

/**
 * OnMessage.java
 *
 * @author Goulven Le Jeune & Charles Souillard
 * @version $Id: OnMessage.java 5 2006-10-20 14:37:44Z lejeuneg $
 *
 */
public class OnMessage extends Statement {

    private String onMessagePartnerLink = null;

    private String onMessagePortType = null;

    private String onMessageOperation = null;

    private String onMessageVariable = null;

    public OnMessage(java.lang.Integer nb, String partnerLink, String portType, String operation, String variable) {
        this.statementNb = nb;
        if (isNull(partnerLink)) {
            this.onMessagePartnerLink = null;
        } else {
            this.onMessagePartnerLink = partnerLink;
        }
        if (isNull(portType)) {
            this.onMessagePortType = null;
        } else {
            this.onMessagePortType = portType;
        }
        if (isNull(operation)) {
            this.onMessageOperation = null;
        } else {
            this.onMessageOperation = operation;
        }
        if (isNull(variable)) {
            this.onMessageVariable = null;
        } else {
            this.onMessageVariable = variable;
        }
        this.cmpt = 0;
    }

    public String getType() {
        return "OnMessage";
    }

    public void print() {
        System.out.println("OnMessage");
        System.out.println(" OnMessage partnerLink : " + this.onMessagePartnerLink);
        System.out.println(" OnMessage portType : " + this.onMessagePortType);
        System.out.println(" OnMessage operation : " + this.onMessageOperation);
        System.out.println(" OnMessage variable : " + this.onMessageVariable);
        for (int i = 0; i < this.cmpt; i++) {
            System.out.println("    Child " + i + " :");
            this.childs[i].print();
            System.out.println("    End Child " + i);
        }
        System.out.println(" End OnMessage");
    }

    public String getOnMessagePartnerLink() {
        return this.onMessagePartnerLink;
    }

    public String getOnMessagePortType() {
        return this.onMessagePortType;
    }

    public String getOnMessageOperation() {
        return this.onMessageOperation;
    }

    public String getOnMessageVariable() {
        return this.onMessageVariable;
    }

}