/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.tree;

/**
 * To.java
 *
 * @author Goulven Le Jeune & Charles Souillard
 * @version $Id: To.java 5 2006-10-20 14:37:44Z lejeuneg $
 *
 */
public class To extends Statement {

    private String toVariable = null;
    private String toPart = null;
    private String toPartnerLink = null;
    private String toProperty = null;
    private String toQuery = null;

    public To(java.lang.Integer nb) {
        this.statementNb = nb;
        this.cmpt = 0;
    }

    public String getType() {
        return "To";
    }

    public void print() {
        System.out.println(" To :");
        System.out.println("   toVariable : " + this.toVariable);
        System.out.println("   toPart : " + this.toPart);
        System.out.println("   toPartnerLink : " + this.toPartnerLink);
        System.out.println("   toProperty : " + this.toProperty);
    }

    public void setVariable(String variable) {
        if (isNull(variable)) {
            this.toVariable = null;
        } else {
            this.toVariable = variable;
        }
    }

    public void setPart(String part) {
        if (isNull(part)) {
            this.toPart = null;
        } else {
            this.toPart = part;
        }
    }

    public void setPartnerLink(String partnerLink) {
        if (isNull(partnerLink)) {
            this.toPartnerLink = null;
        } else {
            this.toPartnerLink = partnerLink;
        }
    }

    public void setProperty(String property) {
        if (isNull(property)) {
            this.toProperty = null;
        } else {
            this.toProperty = property;
        }
    }

    public void setQuery(String query) {
        if (isNull(query)) {
            this.toQuery = null;
        } else {
            this.toQuery = query;
        }
    }

    public String getVariable() {
        return this.toVariable;
    }

    public String getPart() {
        return this.toPart;
    }

    public String getPartnerLink() {
        return this.toPartnerLink;
    }

    public String getProperty() {
        return this.toProperty;
    }

    public String getQuery() {
        return this.toQuery;
    }
}