/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.tree;

/**
 * Variable.java
 *
 * @author Goulven Le Jeune & Charles Souillard
 * @version $Id: Variable.java 5 2006-10-20 14:37:44Z lejeuneg $
 *
 */
public class Variable extends Statement {

    private String messageType = null;
    private String type = null;
    private String element = null;
    private String BPELJType = null;
    private String variableName = null;

    public Variable(java.lang.Integer nb, String name, String messageType, String type, String element, String BPELJType) {
        this.statementNb = nb;
        this.variableName = name;
        this.messageType = messageType;
        this.type = type;
        this.element = element;
        this.BPELJType = BPELJType;
        this.cmpt = 0;
    }

    public String getType() {
        return "Variable";
    }

    public void print() {
        System.out.println("Variable");
        System.out.println("  Variable Name : " + this.variableName);
        System.out.println("  Variable MessageType : " + this.messageType);
        System.out.println("  Variable Type : " + this.type);
        System.out.println("  Variable Element : " + this.element);
        System.out.println("  Variable BPELJ Type : " + this.BPELJType);
    }

    public String getVariableName() {
        return this.variableName;
    }

    public String getMessageType() {
        return this.messageType;
    }

    public String getVarType() {
        return this.type;
    }

    public String getElement() {
        return this.element;
    }

    public String getBPELJType() {
        return this.BPELJType;
    }

}