/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.tree;

/**
 * Wait.java
 *
 * @author Goulven Le Jeune & Charles Souillard
 * @version $Id: Wait.java 5 2006-10-20 14:37:44Z lejeuneg $
 *
 */
public class Wait extends Activity {

    private String waitFor = null;

    private String waitUntil = null;

    public Wait(java.lang.Integer nb, String name, String joinCondition, String suppressJoinFailure) {
        super(name, joinCondition, suppressJoinFailure);
        this.statementNb = nb;
        this.cmpt = 0;
    }

    public String getType() {
        return "Wait";
    }

    public void print() {
        System.out.println(" Wait :");
        System.out.println("  waitFor : " + this.waitFor);
        System.out.println("  waitUntil : " + this.waitUntil);
    }

    public void setFor(String wFor) {
        if (isNull(wFor)) {
            this.waitFor = null;
        } else {
            this.waitFor = wFor;
        }
    }

    public void setUntil(String wUntil) {
        if (isNull(wUntil)) {
            this.waitUntil = null;
        } else {
            this.waitUntil = wUntil;
        }
    }

    public String getFor() {
        return this.waitFor;
    }

    public String getUntil() {
        return this.waitUntil;
    }

}