/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.util;

import java.io.File;

/**
 * BPELConstants.java
 *
 * @author Goulven Le Jeune & Charles Souillard
 * @version $Id: BPELConstants.java 126 2007-01-30 08:45:59Z souillac $
 *
 */
public interface BPELConstants {
    public String sep = File.separator;

    public final static String PRODUCTNAME = "Orchestra";

    public final static int WITH_EJB=1;
    public final static int WITHOUT_EJB=2;

    public final static String MONITOR_NOTHING="Nothing";
    public final static String MONITOR_RUNNING="RunningOnly";
    public final static String MONITOR_MESSAGES="MessagesOnly";
    public final static String MONITOR_RUNNING_AND_MESSAGES="RunningAndMessages";
    public final static String MONITOR_ALL="All";

    public final static int JBI_ON=1;
    public final static int JBI_OFF=2;

    public final static String MESSAGE_PORT_SUFFIX="__Orchestra_Jbi_Message__";

    public final static String NS_SEPARATOR = ",";
    public final static String FAULTINFO_SEPARATOR = "#";
    public final static String FAULT_SEPARATOR = ";";
    public final static String ENCODING_STYLE_PROPERTY = "javax.xml.rpc.encodingstyle.namespace.uri";
    public final static String URI_ENCODING = "http://schemas.xmlsoap.org/soap/encoding/";
    public final static String NS_XSD = "http://www.w3.org/2001/XMLSchema";
    public final static String NS_BPEL_V1_1 = "http://schemas.xmlsoap.org/ws/2003/03/business-process/";
    public final static String NS_BPEL_V2_0 = "http://docs.oasis-open.org/wsbpel/2.0/process/executable";
    public final static String NS_BPELJ = "http://schemas.xmlsoap.org/ws/2003/03/business-process/java";
    public final static String NS_JAVA = "http://jcp.org/java";
    public final static String NS_SOAP = "http://schemas.xmlsoap.org/wsdl/soap/";
    public final static String NS_XPATH_V1_0 = "http://www.w3.org/TR/1999/REC-xpath-19991116";
    public final static String PROPERTY = "property";
    public final static String PARTNERLINKTYPE = "partnerLinkType";
    public final static String PROPERTYALIAS = "propertyAlias";
    public final static String BPELMESSAGE = "BPELMessage";
    public final static String BPELVARIABLE = "BPELVariable";
    public final static String BPELPARTNERLINK = "BPELPartnerLink";
    public final static String BM = "BM";
    public final static String XPFACTORY = "XPF";
    public final static String PL = "PL";
    public final static String SCHEMA = "schema";
    public final static String TYPES = "types";
    public final static String COMPLEX_TYPE = "complexType";
    public final static String BPELTimer = "BPEL:type=BPELService,name=BPELTimer";
    public final static String BPELTimerReceiver = "BPEL:type=BPELService,name=BPELTimerReceiver";
    public final static String WINDOWSPREFIXFILE = "file:/";
    public final static String LINUXPREFIXFILE = "file:";
    public final static String LINUX_PATH_SEPARATOR = ":";
    public final static String WINDOWS_PATH_SEPARATOR = ";";

    public final static String MONITORING_INFO_SEP = "#";
    public final static String MONITORING_EXECUTED_NODE_NAME = "executed";
    public final static String MONITORING_TIMESTAMP_NODE_NAME = "timestamp";
    public final static String MONITORING_LOOPS_NODE_NAME = "loops";
    public final static String MONITORING_MAXTIMESTAMP = "maxTimestamp";
    public final static String MONITORING_BPUID_NODE_NAME = "bpuId";
    public final static String MONITORING_ENDFLOW = "endFlow";
    public final static String MONITORING_ENDFOREACH = "endForEach";
    public final static String MONITORING_TARGETS = "targets";
    public final static String MONITORING_DB = "db";
    public final static String MONITORING_MODE = MONITORING_DB;
    public final static String MONITORING_CREATIONDATE = "creationDate";
    public final static String MONITORING_BPIID = "bpiId";
    public final static String MONITORING_PROCESSID = "processId";
    public final static String MONITORING_PROCESSNAME = "processName";
    public final static String MONITORING_TARGETNAMESPACE = "targetNamespace";
    public final static String MONITORING_STATE = "state";

    public final static String PART_SUFFIX = "_Part";
    public final static String BPU_ACTIVE = "BPU_active";
    public final static String BPU_FINISHED = "BPU_finished";
    public final static String BPU_WAITING_RECEIVE = "BPU_waiting_receive";
    public final static String BPI_ACTIVE = "BPI_active";
    public final static String BPI_FINISHED = "BPI_finished";
    public final static String BPI_TERMINATED = "BPI_terminated";

    public final static String ADMIN_BPELFILE = "bpel";
    public final static String ADMIN_WSDLFILE = "wsdl";
    public final static String ADMIN_EXTWSDLFILE = "extwsdl";

    public final static String GENERAL_PACK = "org" + sep + "objectweb" + sep + "orchestra";
    public final static String TESTS_PACK = GENERAL_PACK + sep + "tests";
    public final static String TESTS_UNIT_PACK = TESTS_PACK + sep + "unit";

    public final static String TESTS_UTIL_PACK = TESTS_PACK + sep + "util";
    public final static String SAMPLES_CLIENT_PACK = GENERAL_PACK + sep + "samples";

    public final static String DEBUG = "Debug";
    public final static String INFO = "Info";
    public final static String ERROR = "Error";

    public final static String PURGE = "Purge";
    public final static String ARCHIVE = "Transfer";

    public final static String GENERAL_EXPR = "general-expr";
    public final static String BOOLEAN_EXPR = "boolean-expr";
    public final static String DATE_EXPR = "date-expr";

    public final static String TEST_MESS_BEGIN = "### Starting ";
    public final static String TEST_MESS_END = "...";

    public final static String BPEL_HOME_PROPERTY = "bpel.home";
    public final static String BPEL_HOME = System.getProperty(BPEL_HOME_PROPERTY);

    public final static String HANDLER_PKGS_PROPERTY = "java.protocol.handler.pkgs";
    public final static String HANDLER_PKGS = System.getProperty(HANDLER_PKGS_PROPERTY);

    public final static String BUILD_PROPERTIES_DIR = BPEL_HOME+sep+"build.properties";
    public final static String LIB_DIR = BPEL_HOME+sep+"lib";
    public final static String SAMPLES_DIR = BPEL_HOME+sep+"samples";
    public final static String TESTS_DIR = BPEL_HOME+sep+"tests";
    public final static String TESTS_UTIL_DIR = TESTS_DIR;
    public final static String BUILD_DIR = BPEL_HOME+sep+"build";
    public final static String CONF_DIR = BPEL_HOME+sep+"conf";
    public final static String COMPONENTS_DIR = BPEL_HOME+sep+"components";
    public final static String SUPPORT_DIR = BPEL_HOME+sep+"support";
    public final static String GENERATE_DIR = BUILD_DIR+sep+"Generate";
    public final static String TMP_SESSIONS_DIR = BUILD_DIR+sep+"tmp_sessions";

    public final static String BPEL_CONF_FILE = CONF_DIR+sep+"BPELConfig.xml";

    public final static String PROCESSMAP_DIR = GENERATE_DIR+sep+"ProcessMap";
    public final static String COMPLEXTYPES_DIR = GENERATE_DIR+sep+"ComplexTypes";
    public final static String PLTYPES_DIR = GENERATE_DIR+sep+"PartnerLinkType";
    public final static String MONITORING_DIR = GENERATE_DIR+sep+"Monitoring";
    public final static String WSDLBINDING_DIR = GENERATE_DIR+sep+"WSDLBindingFile";
    public final static String PROPERTY_DIR = GENERATE_DIR+sep+"Property";
    public final static String WSDL_DIR = GENERATE_DIR+sep+"WSDL";
    public final static String PROCESS_DIR = GENERATE_DIR+sep+"Process";
    public final static String WSDLFILE_DIR = GENERATE_DIR+sep+"WSDLFile";
    public final static String GENERATOR_DIR = GENERATE_DIR+sep+"Generator";
    public final static String XDOCLET_DIR = GENERATE_DIR+sep+"Xdoclet";
    public final static String OUTSERVICES_DIR = GENERATE_DIR+sep+"OutServices";

    public final static String TESTS_UTIL_PACK_DIR = TESTS_UTIL_DIR + sep + TESTS_UTIL_PACK;
    public final static String TESTS_JUNIT_PACK_DIR = TESTS_DIR + sep + TESTS_UNIT_PACK;
    public final static String REPORTS_DIR = TESTS_JUNIT_PACK_DIR+sep+"reports";
    public final static String LIB_EXT_DIR = LIB_DIR+sep+"ext";
    public final static String LIB_AXIS_DIR = LIB_DIR+sep+"axis";
    public final static String BUILD_EJBJARS_DIR = BUILD_DIR+sep+"ejbjars";
    public final static String BUILD_CLASSES_DIR = BUILD_DIR+sep+"classes";
    public final static String BUILD_JARS_DIR = BUILD_DIR+sep+"jars";
    public final static String BUILD_TMP_DIR = BUILD_DIR+sep+"tmp";
    public final static String BUILD_WSDD_DIR = BUILD_DIR+sep+"wsdd";
    public final static String BUILD_EXT_WSDD_DIR = BUILD_DIR+sep+"wsddExt";
    public final static String BUILD_JBI_DIR = BUILD_DIR+sep+"jbi";
    public final static String BUILD_TEST_DIR = BUILD_DIR+sep+"test";
    public final static String BUILD_PROCESSFILES_DIR = BUILD_DIR+sep+"processFiles";
    public final static String BUILD_CLIENTJARS_DIR = BUILD_DIR+sep+"clientJars";
    public final static String BUILD_EMITTER_DIR = BUILD_DIR+sep+"tmpEmitter";
    public final static String BUILD_JXPATH_DIR = BUILD_DIR+sep+"tmpJXPath";
    public final static String BUILD_XML_DIR = BUILD_DIR+sep+"xml";

    public final static String BPEL_JAR = BUILD_EJBJARS_DIR+sep+"orchestra.jar";
    public final static String EXPAND_DIR = BUILD_EJBJARS_DIR+sep+"bpel-expand";
    public final static String UDDI_DIR = BPEL_HOME+sep+"UDDI";

    public final static String ANT_ENV = "myenv";
    public final static String JAVA_HOME = "JAVA_HOME";
    public final static String CLASSPATH = "CLASSPATH";
    public final static String JONAS_ROOT = "JONAS_ROOT";
    public final static String JONAS_BASE = "JONAS_BASE";
    public final static String ANT_HOME = "ANT_HOME";
    public final static String BPEL_HOME_ENV = ANT_ENV+"."+"BPEL_HOME";
    public final static String JONAS_ROOT_ENV = ANT_ENV+"."+JONAS_ROOT;
    public final static String JONAS_BASE_ENV = ANT_ENV+"."+JONAS_BASE;
    public final static String JAVA_HOME_ENV = ANT_ENV+"."+JAVA_HOME;
    public final static String ANT_HOME_ENV = ANT_ENV+"."+ANT_HOME;
    public final static String CLASSPATH_ENV = ANT_ENV+"."+CLASSPATH;

    public final static String USERNAME = "bpeladmin";
    public final static String PASSWORD = "bpeladmin";
    public final static String LOGIN_MODULE = "BPEL";

    public final static String BPI_KEEP_IN_DB = "BPIDB";
    public final static String BPI_REMOVE = "BPIREMOVE";
    public final static String BPI_XML = "BPIXML";

    public final static String AXIS_TYPE_MAPPING_VERSION = "1.3";

    public final static String BPELTraceBPI = "BPELTraceBPI";
    public final static String BPELTraceBPU = "BPELTraceBPU";
    public final static String BPELTraceManager = "BPELTraceManager";
    public final static String BPELTraceTimer = "BPELTraceTimer";
    public final static String BPELTraceData = "BPELTraceData";
    public final static String BPELTraceMonitoring = "BPELTraceMonitoring";
    public final static String BPELTraceRestart = "BPELTraceRestart";

    public static final String BPELJ_XML_BINDING = "JAXRPC11";
}