/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.util;

/**
 * BPELString.java
 *
 * @author Steve Krupanszky, Goulven Le Jeune & Charles Souillard
 * @version $Id: BPELString.java 5 2006-10-20 14:37:44Z lejeuneg $
 *
 */
public class BPELString {

    //---------------------------------------------------------------------
    // static string utility methods (in alphabetical order)
    //---------------------------------------------------------------------

    public static String getPrefix(String s) {
        int i = s.indexOf(":");
        if (i > 0) {
            return s.substring(0, i);
        }
        return "";
    }

    public static String getNS(String s) {
        int i = s.indexOf(BPELConstants.NS_SEPARATOR);
        if (i > 0) {
            return s.substring(0, i);
        }
        return "";
    }

    public static String removeNS(String s) {
        int i = s.indexOf(BPELConstants.NS_SEPARATOR);
        return s.substring(++i);
    }

    public static String removePrefix(String s) {
        int i = s.indexOf(":");
        return s.substring(++i);
    }

    public static String removePrefixUpper(String s) {
        int i = s.indexOf(":");
        return s.substring(++i, i + 1).toUpperCase() + s.substring(i + 1);
    }

    public static String removeQuote(String s) {
        return s.substring(1, s.length() - 1);
    }

    public static String toLower(String s) {
        return s.substring(0, 1).toLowerCase() + s.substring(1);
    }

    public static String toUpper(String s) {
        return s.substring(0, 1).toUpperCase() + s.substring(1);
    }

    public static String removePackage(String s) {
        return s.substring(s.lastIndexOf(".") + 1);
    }

}