/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.util;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.objectweb.orchestra.tree.Statement;


/**
 * BPELTrace.java
 *
 * @author Goulven Le Jeune & Charles Souillard
 * @version $Id: BPELTrace.java 5 2006-10-20 14:37:44Z lejeuneg $
 */
public class BPELTrace {

    private static Log BPELTraceManager = LogFactory.getLog("orchestra.traceManager");
    private static Log BPELTraceBPI = LogFactory.getLog("orchestra.engine.traceBPI");
    private static Log BPELTraceBPU = LogFactory.getLog("orchestra.engine.traceBPU");
    private static Log BPELTraceInvoker = LogFactory.getLog("orchestra.engine.traceInvoker");
    private static Log BPELTraceTimer = LogFactory.getLog("orchestra.traceTimer");
    private static Log BPELTraceData = LogFactory.getLog("orchestra.traceData");
    private static Log BPELTraceMonitoring = LogFactory.getLog("orchestra.traceMonitoring");
    private static Log BPELTraceRestart = LogFactory.getLog("orchestra.traceRestart");
    private static Log BPELTraceAdmin = LogFactory.getLog("orchestra.traceAdmin");
    private static Log BPELTraceBF = LogFactory.getLog("orchestra.traceBF");
    private static Log BPELTraceEngine = LogFactory.getLog("orchestra.engine.traceEngine");
    private static Log BPELTraceSM = LogFactory.getLog("orchestra.engine.traceSM");
    private static Log BPELTraceWS = LogFactory.getLog("orchestra.traceWS");
    private static Log BPELTraceUtil = LogFactory.getLog("orchestra.traceUtil");
    private static Log BPELTraceDebug = LogFactory.getLog("orchestra.traceDebug");
    private static Log BPELTraceStatement = LogFactory.getLog("orchestra.traceStatement");

    public static boolean isStatementDebugEnabled() {
        return BPELTraceStatement.isDebugEnabled();
    }

    public static boolean isManagerDebugEnabled() {
        return BPELTraceManager.isDebugEnabled();
    }

    public static boolean isBPIDebugEnabled() {
        return BPELTraceBPI.isDebugEnabled();
    }

    public static boolean isBPUDebugEnabled() {
        return BPELTraceBPU.isDebugEnabled();
    }

    public static boolean isInvokerDebugEnabled() {
        return BPELTraceInvoker.isDebugEnabled();
    }

    public static boolean isTimerDebugEnabled() {
        return BPELTraceTimer.isDebugEnabled();
    }

    public static boolean isDataDebugEnabled() {
        return BPELTraceData.isDebugEnabled();
    }

    public static boolean isMonitoringDebugEnabled() {
        return BPELTraceMonitoring.isDebugEnabled();
    }

    public static boolean isRestartDebugEnabled() {
        return BPELTraceRestart.isDebugEnabled();
    }

    public static boolean isAdminDebugEnabled() {
        return BPELTraceAdmin.isDebugEnabled();
    }

    public static boolean isBFDebugEnabled() {
        return BPELTraceBF.isDebugEnabled();
    }

    public static boolean isEngineDebugEnabled() {
        return BPELTraceEngine.isDebugEnabled();
    }

    public static boolean isSMDebugEnabled() {
        return BPELTraceSM.isDebugEnabled();
    }

    public static boolean isWSDebugEnabled() {
        return BPELTraceWS.isDebugEnabled();
    }

    public static boolean isUtilDebugEnabled() {
        return BPELTraceUtil.isDebugEnabled();
    }

    public static boolean isDebugDebugEnabled() {
        return BPELTraceDebug.isDebugEnabled();
    }

    public static void traceStatement(Statement s) {
        BPELTraceStatement.debug("New statement been executed :");
        BPELTraceStatement.debug("   Statement Nb :" + s.getNb());
        BPELTraceStatement.debug("   Statement Type :" + s.getType());
        //BPELTraceStatement.debug("   Statement Info :" + s.printInfo());
    }

    public static void traceManager(String trace) {
        BPELTraceManager.debug(trace);
    }

    public static void traceBPI(String trace) {
        BPELTraceBPI.debug(trace);
    }

    public static void traceBPU(String trace) {
        BPELTraceBPU.debug(trace);
    }

    public static void traceInvoker(String trace) {
        BPELTraceInvoker.debug(trace);
    }

    public static void traceTimer(String trace) {
        BPELTraceTimer.debug(trace);
    }

    public static void traceData(String trace) {
        BPELTraceData.debug(trace);
    }

    public static void traceMonitoring(String trace) {
        BPELTraceMonitoring.debug(trace);
    }

    public static void traceRestart(String trace) {
        BPELTraceRestart.debug(trace);
    }

    public static void traceAdmin(String trace) {
        BPELTraceAdmin.debug(trace);
    }

    public static void traceBF(String trace) {
        BPELTraceBF.debug(trace);
    }

    public static void traceEngine(String trace) {
        BPELTraceEngine.debug(trace);
    }

    public static void traceSM(String trace) {
        BPELTraceSM.debug(trace);
    }

    public static void traceWS(String trace) {
        BPELTraceWS.debug(trace);
    }

    public static void traceUtil(String trace) {
        BPELTraceUtil.debug(trace);
    }

    public static void traceDebug(String trace) {
        BPELTraceDebug.debug(trace);
    }

}
