/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.util;

import java.util.Hashtable;

import org.objectweb.orchestra.exception.BPELUtilException;


/**
 * ClassLoaderMap.java
 *
 * @author Goulven Le Jeune & Charles Souillard
 * @version $Id: ClassLoaderMap.java 5 2006-10-20 14:37:44Z lejeuneg $
 *
 */
public class ClassLoaderMap {
    public static Hashtable classLoaders = new Hashtable();

    public static BPELClassLoader getCL(String processName) throws BPELUtilException {
        BPELClassLoader result = (BPELClassLoader) classLoaders.get(processName);
        if (result == null) {
            throw new BPELUtilException("No process with name "+processName+" exists in ClassLoaderMap\n",null);
        }
        return result;
    }

    public static void addCL(String processName,BPELClassLoader cl) {
        classLoaders.put(processName,cl);
    }

}
