/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.util;

import java.text.DateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.GregorianCalendar;

import org.apache.axis.types.Duration;

/**
 * DateTime.java
 * 
 * @author Goulven Le Jeune & Charles Souillard
 * @version $Id: DateTime.java 5 2006-10-20 14:37:44Z lejeuneg $
 *  
 */
public class DateTime {

    public static String getDateTime(String dt) {
        //System.out.println("DateTime : dt="+dt);
        String d;
        String t;
        int i = dt.indexOf("T");
        if (i > 0) { // Date Time
            //System.out.println("DateTime : DateTime");
            d = dt.substring(0, i);
            String[] dd = d.split("-");
            d = dd[2] + "/" + dd[1] + "/" + dd[0]/* .substring(2) */;
            t = getTime(dt.substring(i + 1));
            //t = dt.substring(i + 1);
        } else {
            int k = dt.indexOf("-");
            if (k > 0) { // Date
                //System.out.println("DateTime : Date");
                String[] dd = dt.split("-");
                d = dd[2] + "/" + dd[1] + "/" + dd[0]/* .substring(2) */;
                t = "00:00:00";
            } else { // Time
                //System.out.println("DateTime : Time");
                d = DateFormat.getDateInstance(DateFormat.SHORT).format(new Date());
                t = getTime(dt);
                //t = dt;

            }
        }
        //System.out.println("*******"+d + " " + t);
        return d + " " + t;
    }

    private static String getTime(String time) {
        //System.out.println("getTime : time = "+time);
        String st = time.trim();
        String result = null;

        if (st.length()==8) {
            result = time;
        } else if (st.length()==14) {
            String h = st.substring(0,2);
            st = st.substring(3);
            String m = st.substring(0,2);
            st = st.substring(3);
            String s = st.substring(0,2);
            st = st.substring(2);
            String sign = st.substring(0,1);
            st = st.substring(1);
            String offsetH = st.substring(0,2);
            st = st.substring(3);
            String offsetM = st;

            Calendar cal = new GregorianCalendar();
            cal.set(Calendar.HOUR_OF_DAY,getInt(h));
            cal.set(Calendar.MINUTE,getInt(m));
            cal.set(Calendar.SECOND,getInt(s));
            cal.get(Calendar.HOUR);

            int a = getInt(offsetH);
            int b = getInt(offsetM);
            if (sign.equals("-")) {
                a = -a;
                b = -b;
            }
            cal.add(Calendar.HOUR_OF_DAY,a);
            cal.add(Calendar.MINUTE,b);

            result = add0(cal.get(Calendar.HOUR_OF_DAY))+":"+add0(cal.get(Calendar.MINUTE))+":"+add0(cal.get(Calendar.SECOND));
        }
        //System.out.println("getTime : end result = "+result);
        return result;
    }

    private static int getInt(String s) {
        return Integer.parseInt(s);
    }

    private static String add0(int i) {
        String res = "";
        if (i<10) {
            res = "0";
        }
        res = res + Integer.toString(i);
        return res;
    }

    public static Calendar addDuration(String d) {
        Duration dur = new Duration(d);
        return DateTime.addDuration(dur);
    }

    public static Calendar addDuration(Duration dur) {
        Calendar c = Calendar.getInstance();
        c.setTime(new Date());
        c.add(Calendar.YEAR, dur.getYears());
        c.add(Calendar.MONTH, dur.getMonths());
        c.add(Calendar.DATE, dur.getDays());
        c.add(Calendar.HOUR, dur.getHours());
        c.add(Calendar.MINUTE, dur.getMinutes());
        c.add(Calendar.SECOND, (int) dur.getSeconds());
        return c;
    }

}