/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.util;

import java.lang.reflect.Method;

import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

public class OrchestraServerListenerForServiceMix implements ServletContextListener {

    private Object springContext = null;

    public void contextDestroyed(ServletContextEvent arg0) {
        if (this.springContext != null) {
            try {
                Method contextDestroyed = this.springContext.getClass().getMethod("contextDestroyed", new Class[]{ServletContextEvent.class});
                contextDestroyed.invoke(this.springContext, new Object[]{arg0});
                //springContext.contextDestroyed(arg0);
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
    }

    public void contextInitialized(ServletContextEvent arg0) {
        try {
            Class cl = Class.forName("org.springframework.web.context.ContextLoaderListener");
            this.springContext = cl.newInstance();
        } catch (Exception e) {
            e.printStackTrace();
        }
        new MyThread(arg0).start();
    }

    class MyThread extends Thread {
        private ServletContextEvent arg0;

        public MyThread(ServletContextEvent arg0) {
            this.arg0 = arg0;
        }
        public void run() {
            waitForServerStart();
            try {
                Method contextInitialized = springContext.getClass().getMethod("contextInitialized", new Class[]{ServletContextEvent.class});
                contextInitialized.invoke(springContext, new Object[]{this.arg0});
                //springContext.contextInitialized(this.arg0);
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
    }

    public void waitForServerStart() {
        try {
            Class jonasAdmin = Class.forName("org.objectweb.jonas.adm.JonasAdmin");
            Method main = jonasAdmin.getDeclaredMethod("main", new Class[]{String[].class});
            main.invoke(jonasAdmin, new Object[]{new String[]{"-n",System.getProperty("jonas.name"),"-ping"}});
            //org.objectweb.jonas.adm.JonasAdmin.main(new String[]{"-n",System.getProperty("jonas.name"),"-ping"});
        } catch (ClassNotFoundException e) {
            //it means we are not running in a JOnAS server, so we do not need to wait for its start
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}


