/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.util;

import java.io.File;

/**
 * RemoveWsdl.java, analyse wsdl and bpel file representing the process
 *
 * @author Goulven Le Jeune & Charles Souillard
 * @version $Id: RemoveWsdl.java 5 2006-10-20 14:37:44Z lejeuneg $
 *
 */
public class RemoveWsdl {

    /**
     * remove all wsdl files having a corresponding .ori file
     *
     * @param args
     *            the root directory to examine
     * @throws Exception
     */
    public static void main(String[] args) throws Exception {
        String dir = args[0];
        examineDir(dir);
    }

    /**
     * remove all wsdl files having a corresponding .ori file
     *
     * @param args
     *            the root directory to examine
     * @throws Exception
     */
    public static void examineDir(String dir) throws Exception {
        File f = new File(dir);
        File[] fileList = f.listFiles();
        File tmp = null;
        for (int i = 0; i < fileList.length; i++) {
            tmp = fileList[i];
            if (tmp.isDirectory()) {
                examineDir(tmp.getAbsolutePath());
            } else if (tmp.getName().endsWith(".wsdl")) {
                try {
                    File tmp2 = new File(f.getAbsolutePath() + File.separator + tmp.getName() + ".ori");
                    if (tmp2.exists()) {
                        tmp.delete();
                    }
                } catch (Exception e) {
                    //if the file could not be deleted, we do not throw the error
                    //go to the next file
                }
            }
        }

    }
}