/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.util;

import java.io.IOException;
import java.io.InputStream;
import java.io.ObjectInputStream;
import java.io.ObjectStreamClass;

import org.objectweb.orchestra.exception.BPELUtilException;


/**
 * Specialized_OIS.java
 *
 * @author Goulven Le Jeune & Charles Souillard
 * @version $Id: Specialized_OIS.java 5 2006-10-20 14:37:44Z lejeuneg $
 *
 */
public class Specialized_OIS extends ObjectInputStream {
    String process = null;
    ClassLoader classL = null;
    Specialized_OIS(InputStream is,String processName) throws IOException {
        super(is);
        this.process = processName;
    }

    Specialized_OIS(InputStream is,ClassLoader classL) throws IOException {
        super(is);
        this.classL = classL;
    }

    protected Class resolveClass(ObjectStreamClass osc) throws ClassNotFoundException {
        String n = osc.getName();
        Class clazz = null;
        try {
            if (this.classL == null) {
                this.classL = ClassLoaderMap.getCL(this.process);
            }
            clazz = this.classL.loadClass(n);
        } catch (BPELUtilException e) {
            throw new ClassNotFoundException("BPELUtilException Util getValueObject : searchedClass = "+n+", processName = "+this.process+"\n" , e);
        } catch (ClassNotFoundException e) {
            throw new ClassNotFoundException("ClassNotFoundException Util getValueObject : searchedClass = "+n+", processName = "+this.process+"\n" , e);
        }
        return clazz;
    }
}


