/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.tests.jbi.samples.marketplace;

import org.objectweb.orchestra.tests.jbi.JbiJunitTestCase;
import org.w3c.dom.Document;

import junit.framework.TestSuite;


public class Test extends JbiJunitTestCase {

    public Test(String testName) {
        super(testName);
        this.processName = "marketplace";
    }

    public static TestSuite suite() {
        return new TestSuite(Test.class);
    }

    public void testSuccess() throws Exception {
        //System.out.println("testSuccess");
        MyThread m1 = new MyThread("1","1");
        MyThread m2 = new MyThread("2","1");
        m1.start();
        m2.start();
        m1.join(10000);
        m2.join(10000);
        verify(m1.getResponse(),"1","1");
        verify(m2.getResponse(),"2","1");
    }

    public void testFail() throws Exception {
        //System.out.println("testFail");
        MyThread m1 = new MyThread("3","2");
        MyThread m2 = new MyThread("4","2");
        m1.start();
        m2.start();
        m1.join(10000);
        m2.join(10000);
        verify(m1.getResponse(),"3","2");
        verify(m2.getResponse(),"4","2");
    }

    public class MyThread extends Thread {
        private String inMessageNb = null;
        private String outMessageNb = null;
        private Document response = null;

        public MyThread (String inMessageNb, String outMessageNb) {
            this.inMessageNb = inMessageNb;
            this.outMessageNb = outMessageNb;
        }
        public void run() {
            //System.out.println("run, this.inMessageNb,this.outMessageNb = "+this.inMessageNb+" "+this.outMessageNb);
            this.response = call(this.inMessageNb,this.outMessageNb);
            //System.out.println("run after call, this.inMessageNb,this.outMessageNb = "+this.inMessageNb+" "+this.outMessageNb);
        }
        public Document getResponse() {
            return this.response;
        }

    }

}


