package org.objectweb.orchestra.tests.load;


import java.math.BigInteger;
import java.util.Random;

import org.objectweb.orchestra.demos.loanapproval.loan.*;

public class LoanThread extends LoadAbstractThread {

    private LoanServiceBP s = null;
    private LoanServicePT pt = null;
    private String lastname = null;
    private String firstname = null;
    private BigInteger amount = null;

    public LoanThread(int nb, int axisTimeOut) {
        super(nb,"loan");
        try {
            this.s = new LoanServiceBPLocator();
            this.pt = this.s.getloanServicePT();
            ((LoanServicePTSOAPBindingStub)this.pt).setTimeout(axisTimeOut);
            this.lastname = "Durand"+nb;
            this.firstname = "Paul"+nb;
            Random r = new Random();
            this.amount = new BigInteger(Integer.toString(r.nextInt(15)*10000));
        } catch (Exception e) {
            e.printStackTrace(System.err);
        }
    }

    public boolean call() throws Exception {
        boolean success = false;
        String out = this.pt.request(this.firstname,this.lastname,this.amount);
        String expected = "yes";
        if (this.amount.intValue() > 100000) {
            expected = "no";
        }
        success = out.equals(expected);
        return success;
    }

}
