package org.objectweb.orchestra.tests.unit.unitBPELJCode;

import java.math.BigInteger;

import javax.xml.rpc.holders.*;

import org.objectweb.orchestra.util.BPELConstants;

import junit.framework.TestCase;
import junit.framework.TestSuite;

import org.objectweb.orchestra.tests.unit.unitBPELJCode.BPELJCodePT;
import org.objectweb.orchestra.tests.unit.unitBPELJCode.BPELJCodeServiceBP;
import org.objectweb.orchestra.tests.unit.unitBPELJCode.BPELJCodeServiceBPLocator;
import org.objectweb.orchestra.tests.unit.unitBPELJCode.MyComplexType;


public class TestBPELJCode extends TestCase {

    private BPELJCodeServiceBP fs = null;
    private BPELJCodePT fpt = null;

    public TestBPELJCode(String testname) {
        super(testname);
    }

    public static TestSuite suite() {
        return new TestSuite(TestBPELJCode.class);
    }

    public void setUp() throws Exception {
        System.out.println(BPELConstants.TEST_MESS_BEGIN+this.getName()+BPELConstants.TEST_MESS_END);
        this.fs = new BPELJCodeServiceBPLocator();
        this.fpt = this.fs.getBPELJCodePT();
    }

    public static void main(String args[]) {
        String testtorun = null;
        // Get args: <test-name>
        if (args.length > 0) {
            testtorun = args[0];
        }
        if (testtorun == null) {
            junit.textui.TestRunner.run(suite());
        } else {
            junit.textui.TestRunner.run(new TestBPELJCode(testtorun));
        }
    }

    public void testBPELJCode1() throws Exception {
        boolean result = true;
        int input = 999999999;
        byte[] input2 = new byte[]{0, 1, 2, 3 , 4};
        IntHolder outputH = new IntHolder();
        ByteArrayHolder outputH2 = new ByteArrayHolder();
        this.fpt.BPELJCode1(input, input2, outputH, outputH2);
        result = (input == outputH.value);
        assertTrue("BPELJsnippet1 error1", result);
        for (int i = 0; i < input2.length; i++) {
            result = (input2[i] == outputH2.value[i]);
            assertTrue("BPELJsnippet1 error" + (i+1), result);
        }
    }

    public void testBPELJCode2() throws Exception {
        boolean result = true;
        MyComplexType input = new MyComplexType(new Integer(0), 1,
                                                new Integer(2), 3,
                                                new Integer(4), 5);
        MyComplexType output;
        output = this.fpt.BPELJCode2(input);
        result = (input.equals(output));
        assertTrue("BPELJsnippet2 error", result);
    }

    public void testBPELJCode3() throws Exception {
        boolean result = true;
        int input = 10;
        int output;
        output = this.fpt.BPELJCode3(input);
        result = (input == output);
        assertTrue("BPELJsnippet3 error", result);
    }

    public void testBPELJCode4() throws Exception {
        boolean result = true;
        BigInteger input = new BigInteger("10");
        BigInteger output;
        output = this.fpt.BPELJCode4(input);
        result = (input.equals(output));
        assertTrue("BPELJsnippet4 error", result);
    }

    public void testBPELJCode5() throws Exception {
        boolean result = true;
        byte[] input = new byte[]{0, 1, 2, 3, 4};
        byte[] output;
        output = this.fpt.BPELJCode5(input);
        for (int i = 0; i < input.length; i++) {
            result = (input[i] == output[i]);
            assertTrue("BPELJsnippet5 error" + i, result);
        }
    }

    public void testBPELJCode6() throws Exception {
        boolean result = true;
        BigInteger input = new BigInteger("10");
        BigInteger output;
        output = this.fpt.BPELJCode6(input);
        result = (input.equals(output));
        assertTrue("BPELJsnippet6 error", result);
    }
}
