package org.objectweb.orchestra.tests.unit.unitBPELJPartnerLink;

import org.objectweb.orchestra.util.BPELConstants;

import junit.framework.TestCase;
import junit.framework.TestSuite;

import org.objectweb.orchestra.tests.unit.unitBPELJPartnerLink.StartProcessPT;
import org.objectweb.orchestra.tests.unit.unitBPELJPartnerLink.StartProcessServiceBP;
import org.objectweb.orchestra.tests.unit.unitBPELJPartnerLink.StartProcessServiceBPLocator;


public class TestBPELJPartnerLink extends TestCase {

    private StartProcessServiceBP fs = null;
    private StartProcessPT fpt = null;

    public TestBPELJPartnerLink(String testname) {
        super(testname);
    }

    public static TestSuite suite() {
        return new TestSuite(TestBPELJPartnerLink.class);
    }

    public void setUp() throws Exception {
        System.out.println(BPELConstants.TEST_MESS_BEGIN+this.getName()+BPELConstants.TEST_MESS_END);
        this.fs = new StartProcessServiceBPLocator();
        this.fpt = this.fs.getstartProcessPT();
    }

    public static void main(String args[]) {
        String testtorun = null;
        // Get args: <test-name>
        if (args.length > 0) {
            testtorun = args[0];
        }
        if (testtorun == null) {
            junit.textui.TestRunner.run(suite());
        } else {
            junit.textui.TestRunner.run(new TestBPELJPartnerLink(testtorun));
        }
    }

    public void testBPELJPartnerLink1() throws Exception {
        boolean result = this.fpt.start1();
        assertTrue("BPELJPartnerLink1 error", result);
    }

    public void testBPELJPartnerLink2() throws Exception {
        boolean result = this.fpt.start2();
        assertTrue("BPELJPartnerLink2 error", result);
    }

    // decomment this once setPartnerRole() is correctly implemented
    /*
    public void testBPELJPartnerLink3() throws Exception {
        boolean result = this.fpt.start3();
        assertTrue("BPELJPartnerLink3 error", result);
    }
    */

}
