package org.objectweb.orchestra.tests.unit.unitEvent;

import junit.framework.TestCase;
import junit.framework.TestSuite;

import org.objectweb.orchestra.tests.unit.unitEvent.EventPT;
import org.objectweb.orchestra.tests.unit.unitEvent.EventServiceBP;
import org.objectweb.orchestra.tests.unit.unitEvent.EventServiceBPLocator;


import java.util.Date;
import java.util.Calendar;
import java.util.GregorianCalendar;

import org.objectweb.orchestra.util.BPELConstants;

public class TestEvent extends TestCase {

    private boolean tmp;

    private EventServiceBP fs = null;
    private EventPT fpt = null;

    private String cas = new String("1");
    private int integer = 0;
    private String message;
    private String dur = new String ("PT2S");
    private Calendar cal = new GregorianCalendar ();

    public TestEvent(String testname) {
        super(testname);
        this.cal.setTimeInMillis(System.currentTimeMillis()+5);
    }

    public static TestSuite suite() {
        return new TestSuite(TestEvent.class);
    }

    public void setUp() throws Exception {
        System.out.println(BPELConstants.TEST_MESS_BEGIN+this.getName()+BPELConstants.TEST_MESS_END);
        this.tmp = false;
        this.message = null;
        this.fs = new EventServiceBPLocator();
        this.fpt = this.fs.getEventPT();
    }

    public static void main(String args[]) {
        String testtorun = null;
        // Get args: <test-name>
        if (args.length > 0) {
            testtorun = args[0];
        }
        if (testtorun == null) {
            junit.textui.TestRunner.run(suite());
        } else {
            junit.textui.TestRunner.run(new TestEvent(testtorun));
        }
    }

    public void testEvent1() throws Exception {
        UnitEventThread p1 = new UnitEventThread(1);
        p1.start();
        this.message = this.fpt.event1(this.cas,this.integer);
        this.tmp = this.message.equals("event1");
        assertTrue("event1 error",this.tmp);
    }

    public void testEvent2() throws Exception {
        this.message = this.fpt.event2(this.cas,this.integer);
        this.tmp = this.message.equals("Alarm event2");
        assertTrue("event2 error",this.tmp);
    }

    public void testEvent3() throws Exception {
        this.message = this.fpt.event3(this.dur);
        this.tmp = this.message.equals("Alarm event3");
        assertTrue("event3 error",this.tmp);
    }

    public void testEvent4() throws Exception {
        this.message = this.fpt.event4(this.dur);
        this.tmp = this.message.equals("Alarm event4");
        assertTrue("event4 error",this.tmp);
    }

    public void testEvent5() throws Exception {
        this.cal.setTime(new Date());
        this.cal.add(Calendar.SECOND,7);
        this.message = this.fpt.event5(this.cal);
        this.tmp = this.message.equals("Alarm event5");
        assertTrue("event5 error",this.tmp);
    }

    public void testEvent6() throws Exception {
        this.cal.setTime(new Date());
        this.cal.add(Calendar.SECOND,7);
        this.message = this.fpt.event6(this.cal);
        this.tmp = this.message.equals("Alarm event6");
        assertTrue("event6 error",this.tmp);
    }

    public void testEvent7() throws Exception {
        this.cal.setTime(new Date());
        this.cal.add(Calendar.SECOND,7);
        this.message = this.fpt.event7(this.cal);
        this.tmp = this.message.equals("Alarm event7");
        assertTrue("event7 error",this.tmp);
    }

    public void testEvent8() throws Exception {
        this.cal.setTime(new Date());
        this.cal.add(Calendar.SECOND,7);
        this.message = this.fpt.event8(this.cal);
        this.tmp = this.message.equals("Alarm event8");
        assertTrue("event8 error",this.tmp);
    }

}
