package org.objectweb.orchestra.tests.unit.unitForEach;

import org.objectweb.orchestra.util.BPELConstants;

import org.objectweb.orchestra.tests.unit.unitForEach.UnitForEachPT;
import org.objectweb.orchestra.tests.unit.unitForEach.ForEachServiceBP;
import org.objectweb.orchestra.tests.unit.unitForEach.ForEachServiceBPLocator;

import junit.framework.TestCase;
import junit.framework.TestSuite;

public class TestForEach extends TestCase {

    private boolean tmp;

    private ForEachServiceBP fs = null;
    private UnitForEachPT fpt = null;

    private int message ;
    private int startCounterValue ;
    private int finalCounterValue ;

    public TestForEach(String testname) {
        super(testname);
    }

    public static TestSuite suite() {
        return new TestSuite(TestForEach.class);
    }

    public void setUp() throws Exception {
        System.out.println(BPELConstants.TEST_MESS_BEGIN+this.getName()+BPELConstants.TEST_MESS_END);
        this.tmp = false;
        this.message = 0;
        this.fs = new ForEachServiceBPLocator();
        this.fpt = this.fs.getunitForEachPT();
    }

    public static void main(String args[]) {
        String testtorun = null;
        // Get args: <test-name>
        if (args.length > 0) {
            testtorun = args[0];
        }
        if (testtorun == null) {
            junit.textui.TestRunner.run(suite());
        } else {
            junit.textui.TestRunner.run(new TestForEach(testtorun));
        }
    }

    public void testForEach1() throws Exception {
        this.startCounterValue = 1 ;
        this.finalCounterValue = 10 ;
        this.message = this.fpt.forEach1(this.startCounterValue,this.finalCounterValue);
        this.tmp = (this.message == this.finalCounterValue);
        assertTrue("forEach1 error",this.tmp);
    }

    public void testForEach2() throws Exception {
        this.startCounterValue = 1 ;
        this.finalCounterValue = 1 ;
        this.message = this.fpt.forEach1(this.startCounterValue,this.finalCounterValue);
        this.tmp = (this.message == this.finalCounterValue);
        assertTrue("forEach2 error",this.tmp);
    }

    public void testForEach3() throws Exception {
        this.startCounterValue = 1 ;
        this.finalCounterValue = 0 ;
        this.message = this.fpt.forEach1(this.startCounterValue,this.finalCounterValue);
        this.tmp = (this.message == 10);
        assertTrue("forEach3 error",this.tmp);
    }

    public void testForEach4() throws Exception {
        this.startCounterValue = 1 ;
        this.finalCounterValue = 10 ;
        this.message = this.fpt.forEach4(this.startCounterValue,this.finalCounterValue);
        this.tmp = (this.message == 55);
        assertTrue("forEach4 error",this.tmp);
	}

   public void testForEach5() throws Exception {
        this.startCounterValue = 1 ;
        this.finalCounterValue = 10 ;
        this.message = this.fpt.forEach5(this.startCounterValue,this.finalCounterValue);
        this.tmp = (this.message == 55);
        assertTrue("forEach5 error",this.tmp);
    }

    public void testForEach6() throws Exception {
        this.startCounterValue = 1 ;
        this.finalCounterValue = 1 ;
        this.message = this.fpt.forEach5(this.startCounterValue,this.finalCounterValue);
        this.tmp = (this.message == 1);
        assertTrue("forEach6 error",this.tmp);
    }

    public void testForEach7() throws Exception {
        this.startCounterValue = 1 ;
        this.finalCounterValue = 100 ;
        this.message = this.fpt.forEach7(this.startCounterValue,this.finalCounterValue);
        this.tmp = (this.message == 0);
        assertTrue("forEach7 error",this.tmp);
	}

    public void testForEach8() throws Exception {
        this.startCounterValue = 1 ;
        this.finalCounterValue = 10 ;
        this.message = this.fpt.forEach8(this.startCounterValue,this.finalCounterValue);
        this.tmp = (this.message == 55);
        assertTrue("forEach8 error",this.tmp);
    }


}
